;mod:9 / cat:38 / func:343

;--------
%dll
mod_vgo

%ver
beta1a

%date
2024/11/01

%type
vgo系命令

%note
mod_vgo.hsp か mod_vgohsp.hsp をインクルードしてください。
hsp3utf を使用します。

%port
Win
HSP 3.7b7以降
;--------

%index
vgo_GetLanguage
システムの言語コードを取得

%prm
()
%inst
システムのISO639-2の3文字のコードを返します。
日本語であれば "jpn" 、英語であれば "eng" を返します。

%dll
vgo

%group
システム系

%index
vgo_Dispose
任意ウィンドウのvgoを処分

%prm
winID
winID 対象ウィンドウID

%inst
ウィンドウテーマなど、一部影響が残ります。
vgoを利用しないウィンドウを作成する場合は screen@hsp など、標準命令@hsp を使用してください。

%dll
vgo

%group
システム系

%index
vgo_IsAvailable
任意ウィンドウがvgo命令使用可能か確認

%prm
( winID)
winID 対象ウィンドウID

%inst
使用可能な場合は 1 を返します。

screen や bgscr を使用して作成されたウィンドウは標準で使用可能になります。
screen@hsp や bgscr@hsp で作成された場合は使用不可能になります。

使用不可能になるのはvgoのシステムに関わるものやvgoオブジェクト系命令です。
単純な画像コピーなど、vgoutl などのいくつかの命令は使用できます。

%dll
vgo

%group
システム系

%index
vgo_Enable
操作先ウィンドウへの各入力を有効化

%prm

%inst
操作先ウィンドウvgoのクリック、ホイール、キー入力などが有効になります。
無効化する場合は vgo_Disable を使用してください。

%href
vgo_Disable

%dll
vgo

%group
システム系

%index
vgo_Disable
操作先ウィンドウへの各入力を無効化

%prm

%inst
操作先ウィンドウvgoのクリック、ホイール、キー入力などが無効になります。
標準命令の getkey や stick など、ウィンドウへの入力自体は無効化されません。
有効化する場合は vgo_Enable を使用してください。

%href
vgo_Enable

%dll
vgo

%group
システム系

%index
vgo_Await
割り込み考慮のawait系待機命令

%prm
wait
wait 待ち時間(1ms単位)

%inst
割り込みがあった場合に残り時間を計算して再度待機に移行します。
通常の await の代わりに使用してください。

%href
vgo_Wait

%dll
vgo

%group
システム系

%index
vgo_Wait
割り込み考慮のwait系待機命令

%prm
wait
wait 待ち時間(10ms単位)

%inst
割り込みがあった場合に残り時間を計算して再度待機に移行します。
通常の wait の代わりに使用してください。

%href
vgo_Await

%dll
vgo

%group
システム系

%index
vgo_GetTime
timeGetTime()と同じ値を返す

%prm
( opt)
opt オプション

%inst
win32apiの timeGetTime() と同じ値を返します。
opt に 1 を指定すると前回 vgo_GetTime() を実行してからの経過時間を返します。

%dll
vgo

%group
システム系

%index
vgo_GetEditContextMenuID
入力ボックスの標準コンテキストメニューIDを返す

%prm
()
%inst
vgoの入力ボックスで使用される標準コンテキストメニューIDを返します。

%href
vgo_Mesbox
vgo_Input

%dll
vgo

%group
システム系

%index
vgo_SizingFrame
独自サイズ変更境界の幅を設定

%prm
sf
sf 境界幅(pixel)

%inst
クライアント内の外側をサイズ変更境界と判定するようにします。
bgscr でWindows側のサイズ変更境界を使用せずにウィンドウサイズを変更可能にしたい場合に使用します。

vgo を使用する bgscr は初期化する画面モードに +4 を指定するとWindows側のサイズ変更境界が無効になります。
+64 を指定すると通常のボーダーが有効になります。
この命令はこの画面モード +4 と +64 を組み合わせた bgscr に使用することを想定しています。

境界幅を 0 にすると無効になります。
初期値は 0 です。

%dll
vgo

%group
システム系

%index
vgo_SetThemeMode
ウィンドウテーマモードを設定

%prm
mode
mode ウィンドウテーマモード

%inst
システム設定が変更された時に受け取る WM_SETTINGCHANGE で何をするかの設定です。
以下の値を一つ指定します。
	VGO_THEME_MANUAL	モジュール側では何もしません。
	VGO_THEME_AUTO	タイトルバーなどのシステム的な部分のみを変更に合わせます。
	VGO_THEME_FULLAUTO	システム的な部分に加えカラープリセットなども変更に合わせます。

%href
vgo_GetSystemTheme
vgo_GetTheme
vgo_LightMode
vgo_DarkMode
vgo_LightColorPreset
vgo_DarkColorPreset

%dll
vgo

%group
ウィンドウテーマ

%index
vgo_GetSystemTheme
レジストリのウィンドウテーマを取得

%prm
()
%inst
レジストリのウィンドウテーマを取得します。
以下の値を返します。
	0 ライトモード
	1 ダークモード

%href
vgo_GetTheme
vgo_LightMode
vgo_DarkMode
vgo_LightColorPreset
vgo_DarkColorPreset
vgo_SetThemeMode

%dll
vgo

%group
ウィンドウテーマ

%index
vgo_GetTheme
ウィンドウテーマを取得

%prm
()
%inst
操作先ウィンドウのウィンドウテーマを取得します。
以下の値を返します。
	0 ライトモード
	1 ダークモード

%href
vgo_GetSystemTheme
vgo_LightMode
vgo_DarkMode
vgo_LightColorPreset
vgo_DarkColorPreset
vgo_SetThemeMode

%dll
vgo

%group
ウィンドウテーマ

%index
vgo_LightMode
ライトモードにする

%prm

%inst

%href
vgo_DarkMode
vgo_SetThemeMode
vgo_GetSystemTheme
vgo_GetTheme

%dll
vgo

%group
ウィンドウテーマ

%index
vgo_DarkMode
ダークモードにする

%prm

%inst

%href
vgo_LightMode
vgo_SetThemeMode
vgo_GetSystemTheme
vgo_GetTheme

%dll
vgo

%group
ウィンドウテーマ

%index
vgo_DarkColorPreset
ダーク配色プリセットをロード

%prm
長いので省略
%inst
引数が非常に多いため sample_colorpreset.hsp を実行してコピペを推奨。

%href
vgo_LightColorPreset
vgo_LightColoredPreset
vgo_PastelColorPreset
vgo_DarkColoredPreset
vgoutl_LoadColorPreset
vgoutl_SetAccentColor
vgoutl_GetAccentColor
vgo_SetThemeMode
vgo_GetSystemTheme
vgo_GetTheme

%dll
vgo

%group
カラープリセット

%index
vgo_DarkColoredPreset
ダークカラー配色プリセットをロード

%prm
hue, sat, val, contrast, bright
hue 色 (0~191)
sat 彩度 (0~255)
val 明度 (0~255)
contrast コントラスト (-127~127)
bright 明るさ補正 (-127~127)

%inst

%href
vgo_LightColorPreset
vgo_LightColoredPreset
vgo_PastelColorPreset
vgo_DarkColorPreset
vgoutl_LoadColorPreset
vgoutl_SetAccentColor
vgoutl_GetAccentColor

%dll
vgo

%group
カラープリセット

%index
vgo_LightColorPreset
ライト配色プリセットをロード

%prm
長いので省略
%inst
引数が非常に多いため sample_colorpreset.hsp を実行してコピペを推奨。

%href
vgo_LightColoredPreset
vgo_PastelColorPreset
vgo_DarkColorPreset
vgo_DarkColoredPreset
vgoutl_LoadColorPreset
vgoutl_SetAccentColor
vgoutl_GetAccentColor
vgo_SetThemeMode
vgo_GetSystemTheme
vgo_GetTheme

%dll
vgo

%group
カラープリセット

%index
vgo_LightColoredPreset
ライトカラー配色プリセットをロード

%prm
hue, sat, val, contrast, bright
hue 色 (0~191)
sat 彩度 (0~255)
val 明度 (0~255)
contrast コントラスト (-127~127)
bright 明るさ補正 (-127~127)

%inst

%href
vgo_LightColorPreset
vgo_PastelColorPreset
vgo_DarkColorPreset
vgo_DarkColoredPreset
vgoutl_LoadColorPreset
vgoutl_SetAccentColor
vgoutl_GetAccentColor

%dll
vgo

%group
カラープリセット

%index
vgo_PastelColorPreset
パステルカラー配色プリセットをロード

%prm
hue
hue 色 (0~191)

%inst

%href
vgo_LightColorPreset
vgo_LightColoredPreset
vgo_DarkColorPreset
vgo_DarkColoredPreset
vgoutl_LoadColorPreset
vgoutl_SetAccentColor
vgoutl_GetAccentColor

%dll
vgo

%group
カラープリセット

%index
vgo_PreparePopupWindow
ポップアップに使うウィンドウIDを設定

%prm
window, window2, window3, window4
window ~ window4 ポップアップに使う未使用のウィンドウID

%inst
ポップアップに使うウィンドウIDを4つまで指定します。
この命令で指定するウィンドウは事前に作成しないでください。
設定後も初期化せず、使用しないようにしてください。
ウィンドウIDは 1 以降を指定してください。
コンボボックスのドロップダウンリストは一つ、メニュー等は最低でも一つ、
サブメニューを持つならばその階層分だけウィンドウが必要になります。
vgo_Combox, vgo_MenuBar, vgo_MenuPanel, vgo_ShowPopupMenu などを使用する場合はこの命令を最初に実行してください。

%href
vgo_Combox
vgo_MenuBar
vgo_MenuPanel
vgo_ShowPopupMenu
vgomenu_NewMenu

%dll
vgo

%group
ポップアップ

%index
vgo_ShowPopupMenu
ポップアップメニューを表示

%prm
menuID, px, py, clbk, flag, ownerID, fold, noAnimate
menuID メニューID
px 表示位置X
py 表示位置Y
clbk 選択/キャンセル時のコールバックラベル
flag, ownerID, fold, noAnimate (内部用)

%inst
ポップアップメニューは vgo_PreparePopupWindow でポップアップウィンドウを準備する必要があります。
メニューIDは vgomenu_NewMenu で作成したメニューIDを指定します。
flag 以降の引数は内部用のため通常は省略してください。

選択/キャンセルされた際にコールバックラベルが呼び出されます。
コールバック変数は次の値を取ります。
	vgoClbkID		-1
	vgoClbkState	VGO_MENUCLBK_SELECTED (0) もしくは VGO_MENUCLBK_CANCELLED (-1)
	vgoClbkX		アイテムID
	vgoClbkY		アイテムインデックス

%href
vgo_PreparePopupWindow
vgomenu_NewMenu
vgoClbkID
vgoClbkState
vgoClbkX
vgoClbkY

%dll
vgo

%group
ポップアップ

%index
vgo_Clear
オブジェクトを全て削除

%prm

%inst
現在の操作先ウィンドウのオブジェクトを全て削除します。

%href
vgo_Clrobj
vgo_Delete

%dll
vgo

%group
vgoオブジェクト削除

%index
vgo_Clrobj
オブジェクトを範囲削除

%prm
begin, end
begin 削除開始オブジェクトID
end 削除終了オブジェクトID

%inst
標準命令の clrobj と同じ使い方です。

%href
vgo_Clear
vgo_Delete

%dll
vgo

%group
vgoオブジェクト削除

%index
vgo_Delete
オブジェクトを削除

%prm
id
id 削除するオブジェクトID

%inst

%href
vgo_Clear
vgo_Clrobj

%dll
vgo

%group
vgoオブジェクト削除

%index
vgo_Objsize
生成するオブジェクトのサイズ設定

%prm
sx, sy
sx 横幅(原寸)
sy 高さ(原寸)

%inst

%href
vgo_ScrollbarSize
vgo_RadiusRate
vgo_Button
vgo_Chkbox
vgo_Combox
vgo_MenuPanel
vgo_StatusPanel
vgo_CaptionPanel
vgo_VTrackbar
vgo_HTrackbar
vgo_StaticText
vgo_Input
vgo_Mesbox
vgo_Listbox

%dll
vgo

%group
vgoオブジェクト生成設定

%index
vgo_ScrollbarSize
生成するスクロールバーのサイズ設定

%prm
size, minSize
size 設定するスクロールバーのサイズ
minSize 設定するスクロールバーの最小サイズ (省略時は size と同じ)

%inst
縦スクロールバーなら横幅、横スクロールバーなら縦幅が対象になります。
ウィンドウのスクロールバーだけでなくあらゆるスクロールバーが影響を受けます。
既に生成されたものは影響を受けません。
サイズ初期値は 16 です。

minSizeはスクロールバーにマウスカーソルが乗っていない際の縮小状態サイズです。
例えば size=16, minSize=4 に設定した場合、通常時は 4ピクセル幅で表示され、スクロールバーの領域(16ピクセル幅)の中にマウスカーソルが入ると16ピクセル幅で表示されます。
これはオブジェクト付属のスクロールバーにのみ適用され、ウィンドウのスクロールバーには適用されません。

%href
vgo_Objsize
vgo_RadiusRate
vgo_VScrollbar
vgo_HScrollbar

%dll
vgo

%group
vgoオブジェクト生成設定

%index
vgo_RadiusRate
生成するオブジェクトの丸め係数設定

%prm
rate
rate 丸め係数

%inst
各オブジェクトの外枠の丸め係数で、大きくするとより丸くなります。
0.0 を指定すると丸めがなくなります。
既に生成されたものは影響を受けません。
初期値は 1.0 です。
大きい値を指定すると色々破綻するので注意してください。

%href
vgo_Objsize
vgo_ScrollbarSize

%dll
vgo

%group
vgoオブジェクト生成設定

%index
vgo_DefaultFont
オブジェクトのデフォルトフォント設定

%prm
src, size, style
src フォント名、もしくは値
size サイズ
style スタイル

%inst
vgo_SetFont で個別にフォントが指定されていないものはこのデフォルトフォントが使用されます。
src はフォント名以外に以下の値を指定できます。
	0	標準命令の font で設定されているもの
	-1	システムデフォルトフォント
	""	システムデフォルトフォント

システムデフォルトフォントはウィンドウテーマで指定されているものになります。

%href
vgo_SetFont

%dll
vgo

%group
vgoオブジェクト生成設定

%index
vgo_Button
ボタン

%prm
string, label
string 表示する文字列
label 呼び出すラベル

%inst
1. ボタン
ボタンはマウスクリックで押されると設定したラベルにサブルーチンジャンプします。

vgo_Button str string, label label
	string	表示する文字列
	label		呼び出すラベル
	ラベルの呼び出しは gosub です。
	HSP標準命令と違い goto は使用できません。

2. vgo_Objprm で変更できる要素

	整数	-
	実数	-
	文字列	表示する文字列

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	現バージョンではありません。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	vgo_ObjImage

5. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_STYLE_HSPIMAGE
		オブジェクトをHSPバッファ画像で表示します。

	VGO_STYLE_GDIPIMAGE
		オブジェクトをGDIPバッファ画像で表示します。

	VGO_STYLE_MANUALSCALING
		バッファ画像を使用する際にスケーリングをマニュアルで管理します。

	VGO_IMAGE_BLEND
		バッファ画像を使用する際にマウスオーバー等の状態画像を半透明で重ねます。
		ブレンド率は vgo_ObjImage の imgPrm(0~255) で設定します。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	VGO_BUTTONCLBK_PUSHED (0)
		押された時（標準動作）

%href
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_ObjImage
vgo_Objsize
vgo_SetActionClbk
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_Chkbox
チェックボックス

%prm
string, var, num
string 表示する文字列
var 紐付ける変数
num ステート数(2~)

%inst
1. チェックボックス
チェックボックスは主にON/OFFを切り替えるオブジェクトです。

vgo_Chkbox str string, var var, int num
	string	表示する文字列
	var		紐付ける変数
	num		ステート数 (2~)
	ステート数の初期値は 2 です。
	これを 3 にすれば 3ステート になり、それ以上に増やすこともできます。
	このモジュールでは3ステートまでのパターンが用意されています。
	それ以上はユーザー側で画像を用意して対応する必要があります。

2. vgo_Objprm で変更できる要素

	整数	状態値
	実数	-
	文字列	表示する文字列

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	vgo_SendCmd int id, VGO_CHKBOXCMD_SETMAXSTATE, int num
		状態値範囲を設定します。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	vgo_SetObjectColor
	vgo_SetColorStyle
	vgo_ObjImage

5. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_CHECKBOX_DEFAULT
		デフォルトのデザインです。

	VGO_CHECKBOX_CLASSIC
		クラシックデザインです。

	VGO_CHECKBOX_SOLID
		ソリッドデザインです。

	VGO_CHECKBOX_CIRCLE
		ラジオボタン風のデザインです。

	VGO_CHECKBOX_SWITCH
		スイッチ風のデザインです。
		2ステートのみ用意されています。

	VGO_CHECKBOX_3STAR
		3ステート目を星マークにします。

	VGO_CHECKBOX_3NG
		3ステート目を禁止マークにします。

	VGO_STYLE_HSPIMAGE
		オブジェクトをHSPバッファ画像で表示します。

	VGO_STYLE_GDIPIMAGE
		オブジェクトをGDIPバッファ画像で表示します。

	VGO_STYLE_MANUALSCALING
		バッファ画像を使用する際にマニュアルでスケーリングを管理します。

	VGO_IMAGE_BLEND
		バッファ画像を使用する際にマウスオーバー等の状態画像を半透明で重ねます。
		ブレンド率は vgo_ObjImage の imgPrm(0~255) で設定します。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	VGO_CHECKBOXCLBK_CHANGED (0)
		クリックによって変更された時
		vgoClbkX は 選択値 です。

%href
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_ObjImage
vgo_SetObjectColor
vgo_SetColorStyle
vgo_Objsize
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_Combox
コンボボックス

%prm
var, sy, string
var 紐付ける変数
sy ドロップダウンの高さ(pixel)
string リストの内容を示す改行区切りの文字列

%inst
1. コンボボックス
コンボボックスは複数要素の中から１つを選択させるオブジェクトです。
ドロップダウンリストを表示するために vgo_PreparePopupWindow でポップアップウィンドウを準備する必要があります。

vgo_Combox var var, int sy, str string
	var		紐付ける変数
	sy		ドロップダウンの高さ(pixel)
	string	リストの内容を示す改行区切りの文字列

	選択項目のインデックスが紐付けた変数に格納されます。
	vgo_GetValue() で選択項目のインデックスが取得できます。
	vgo_GetText() で選択項目の文字列が取得できます。

2. vgo_Objprm で変更できる要素

	整数	選択インデックス
	実数	-
	文字列	リストの内容を示す改行区切りの文字列

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	vgo_SendCmd int id, VGO_COMBOXCMD_GETLIST, int opt
		リスト文字列を取得します。
		結果は vgoCmdRet に格納されます。
		opt が 0 の場合は配列になります。
		opt が 1 の場合は改行区切りになります。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	現バージョンではありません。

5. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_COMBOX_EDITABLE
		編集可能になります。

	VGO_COMBOX_AUTOADD
		編集確定や vgo_SetText で新しいテキストが設定された時、リストに追加します。

	VGO_COMBOX_INSERTFIRST
		リストに追加する際、先頭に追加します。（未指定の場合は末尾）

	VGO_COMBOX_SIDEDROPDOWN
		VGO_COMBOX_EDITABLE が設定されている時、端のボタンでドロップダウンを表示します。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	VGO_COMBOXCLBK_SELECTED (0)
		マウスやキーボードで選択項目が変更された時
			vgoClbkX は 選択値 です。

%href
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_PreparePopupWindow
vgo_Objsize
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_MenuPanel
メニューパネル

%prm
menuID, label
menuID メニューID
label 選択時に呼び出されるラベル

%inst
詳細は vgo_MenuBar を確認してください。

%href
vgo_MenuBar
vgomenu_NewMenu
vgoClbkID
vgoClbkState
vgoClbkX
vgoClbkY
vgo_PreparePopupWindow
vgo_Objsize
vgo_SetColorStyle
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_MenuBar
メニューバー

%prm
menuID, label
menuID メニューID
label 選択時に呼び出されるラベル

%inst
1. メニューバー
メニューバーはウィンドウの上部によくあるアレです。
上部に固定され、ウィンドウのサイズ変更に合わせて横幅が自動調整されます。
一つのウィンドウに一つまでの制限があります。
メニューのポップアップ表示は vgo_PreparePopupWindow でポップアップウィンドウを準備する必要があります。

vgo_MenuBar int menuID, label label
	menuID	メニューID
	label		選択時に呼び出されるラベル

	vgo_MenuBar のコールバックは以下の値が渡されます。
	vgoClbkID	オブジェクトID
	vgoClbkState	VGO_MENUCLBK_SELECTED (0)
	vgoClbkX		アイテムID
	vgoClbkY		アイテムインデックス

1a. メニューパネル
メニューパネルはメニューバーのと同等の機能を持ちますが位置が固定されず、
通常のオブジェクトのようにいくつでも設置できます。

vgo_MenuPanel int menuID, label label
	menuID	メニューID
	label		選択時に呼び出されるラベル

	vgo_MenuPanel のコールバックは以下の値が渡されます。
	vgoClbkID	オブジェクトID
	vgoClbkState	VGO_MENUCLBK_SELECTED (0)
	vgoClbkX		アイテムID
	vgoClbkY		アイテムインデックス

2. vgo_Objprm で変更できる要素

	整数	-
	実数	-
	文字列	-

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	vgo_SendCmd int id, VGO_MENUCMD_GETWIDTH, int fold
		メニューの右側の余白を除いた横幅を vgoCmdRet に返します。
		fold が 0 の場合は全表示状態の横幅、1 の場合は折り畳まれた状態での横幅を返します。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	vgo_SetColorStyle

5. 固有スタイル
汎用スタイルは vgo_SetStyle を参照してください。
このオブジェクトは次の固有スタイルがあります。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_MENUBAR_PANEL
		（内部用）パネル属性になります。

	VGO_MENUBAR_BUTTONBORDER
		直接表示される場合、サブメニューではないものにボーダーを表示します。
		サブメニューと単純ボタン動作を見分けやすくなります。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	VGO_MENUCLBK_SELECTED (0)
		選択時（標準動作）
		vgoClbkX は アイテムID です。
		vgoClbkY は アイテムインデックス です。

%href
vgo_MenuPanel
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_SetColorStyle
vgoClbkID
vgoClbkState
vgoClbkX
vgoClbkY
vgomenu_NewMenu
vgo_PreparePopupWindow
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_StatusPanel
ステータスパネル

%prm
fmt
fmt 領域の分割方法を指定する文字列

%inst
詳細は vgo_StatusBar を確認してください。

%href
vgo_StatusBar
vgo_Objsize
vgo_SetColorStyle
vgo_SetStatusBarText
vgo_GetStatusBarRect
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_StatusBar
ステータスバー

%prm
fmt
fmt 領域の分割方法を指定する文字列

%inst
1. ステータスバー
ステータスバーはウィンドウの下部によくあるアレです。
下部に固定され、ウィンドウのサイズ変更に合わせて横幅が自動調整されます。
一つのウィンドウに一つまでの制限があります。

vgo_StatusBar str fmt
	fmt	領域の分割方法を指定する文字列
	
	領域の分割方法を指定する文字列はカンマ区切りで以下のものが使用できます。
		*	余りを使用（複数ある場合は分割）
		px	ピクセル値を指定 60px 100px など
		%	割合を指定 10% 25% など
		-L	Left（文字の表示位置、初期値）
		-C	Center（文字の表示位置）
		-R	Right（文字の表示位置）

	例: "*" -> 分割無し、文字は左揃え
	例: "*-C,*-C" -> 2個の領域に分割、どちらも文字は中央揃え
	例: "*-L,60px-R,*-C,10%,120px-R" -> 5個の領域に分割

1a. ステータスパネル
ステータスパネルはステータスバーのと同等の機能を持ちますが位置が固定されず、
通常のオブジェクトのようにいくつでも設置できます。

vgo_StatusPanel str fmt
	fmt	書式文字列

2. vgo_Objprm で変更できる要素

	整数	-
	実数	-
	文字列	ステータスバーのテキスト（0番目）

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	現バージョンではありません。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	vgo_SetColorStyle
	vgo_SetStatusBarText
	vgo_GetStatusBarRect

5. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_STATUSBAR_VERTICAL
		縦方向で分割を行います。

	VGO_STATUSBAR_PANEL
		（内部用）パネル属性になります。

	VGO_STATUSBAR_RESIZE
		一番右側にリサイズ用のマークが付きウィンドウのリサイズが可能になります。
		ステータスバーの場合、ウィンドウがリサイズ可能であれば標準で付与されます。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	VGO_STATUSBARCLBK_MOUSEOVER (0)
		マウスカーソルが乗った時
		vgoClbkX は 領域ID になります。

	VGO_STATUSBARCLBK_MOUSELEAVE (1)
		マウスカーソルが離れた時
		vgoClbkX は 領域ID になります。

	VGO_STATUSBARCLBK_LBUTTONDOWN (2)
		マウス左ボタンが押された時
		vgoClbkX は 領域ID になります。

	VGO_STATUSBARCLBK_LBUTTONUP (3)
		マウス左ボタンが離された時
		vgoClbkX は 領域ID になります。
		ステータスバー以外でボタンが離された時は領域IDが -1 になります。

	VGO_STATUSBARCLBK_RBUTTONDOWN (4)
		マウス右ボタンが押された時
		vgoClbkX は 領域ID になります。

	VGO_STATUSBARCLBK_RBUTTONUP (5)
		マウス右ボタンが離された時
		vgoClbkX は 領域ID になります。
		ステータスバー以外でボタンが離された時は領域IDが -1 になります。

%href
vgo_StatusPanel
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_SetColorStyle
vgo_SetStatusBarText
vgo_GetStatusBarRect
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_CaptionPanel
キャプションパネル

%prm
string, style, btnSize
string キャプションに表示する文字列
style スタイル
btnSize 配置される各ボタンの横幅

%inst
1. キャプションパネル
キャプションパネルはウィンドウのタイトルバーのような挙動をします。
通常のオブジェクトのようにいくつでも設置できます。

vgo_CaptionPanel str string, int style, int btnSize
	string	キャプションに表示する文字列
	style		スタイル
	btnSize	配置される各ボタンの横幅
	スタイルは後記の固有スタイルを参照してください。

2. vgo_Objprm で変更できる要素

	整数	-
	実数	-
	文字列	表示文字列

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	vgo_SendCmd int id, VGO_CAPTIONCMD_SETBUTTONWIDTH, int btnSize
		配置される各ボタンの横幅を設定します。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	vgo_SetColorStyle

5. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_CAPTION_ALIGN_LEFT
	VGO_CAPTION_ALIGN_CENTER
	VGO_CAPTION_ALIGN_RIGHT
		表示文字列の位置です。

	VGO_CAPTION_CLOSE
		閉じるボタンを表示します。

	VGO_CAPTION_MAXIMIZE
		最大化ボタンを表示します。

	VGO_CAPTION_MINIMIZE
		最小化ボタンを表示します。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	現バージョンではありません。

%href
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_SetColorStyle
vgo_Objsize
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_FlatBar
フラットバー

%prm
style, width, min, max
style スタイル
width 幅
min 最小幅
max 最大幅

%inst
1. フラットバー
フラットバーはシステムフレーム系の特殊なオブジェクトです。
メニューバーやステータスバーのように画面上に固定され、
クライアント領域の基点位置やサイズを変化させます。
設置位置は設置時の方向指定によって決まります。
通常のオブジェクトのようにいくつでも設置できます。

vgo_FlatBar int style, int width, int min, int max
	style		スタイル
	width		幅
	min		最小幅
	max		最大幅
	スタイルは後記の固有スタイルを参照してください。

2. vgo_Objprm で変更できる要素

	整数	幅
	実数	-
	文字列	-

3. コマンド送信
これらのオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	vgo_SendCmd int id, VGO_FLATBARCMD_SETWIDTH, int width
		幅を変更します。

	vgo_SendCmd int id, VGO_FLATBARCMD_SETRANGE, int min, int max
		最小幅、最大幅を変更します。

	vgo_SendCmd int id, VGO_FLATBARCMD_SETSIZEBOXWIDTH, int width
		サイズ変更境界の幅を変更します。
		初期値は 5 です。

	vgo_SendCmd int id, VGO_FLATBARCMD_GETSIZE
		現在の幅、最小、最大を vgoCmdRet に返します。

4. 専用/関連命令
これらのオブジェクトは以下の命令が使用できます。

	vgo_SetColorStyle

5. 固有スタイル
これらのオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_FLATBAR_TOP
		上側に設置します。

	VGO_FLATBAR_BOTTOM
		下側に設置します。

	VGO_FLATBAR_LEFT
		左側に設置します。

	VGO_FLATBAR_RIGHT
		右側に設置します。

	VGO_FLATBAR_SIZEBOX
		サイズ変更境界を付けます。
		マウスドラッグでフラットバーのサイズを変更できるようになります。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	VGO_FLATBARCLBK_SIZECHANGED (0)
		サイズが変更された時
		vgoClbkX は サイズ値 です。

%href
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_SetColorStyle
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_VScrollbar
縦スクロールバー

%prm
max, amount
max クライアント領域の最大値
amount スクロール時の最小単位(pixel)

%inst
詳細は vgo_HScrollbar を確認してください。

%href
vgo_ScrollbarSize
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_HScrollbar
横スクロールバー

%prm
max, amount
max クライアント領域の最大値
amount スクロール時の最小単位(pixel)

%inst
1. スクロールバー
スクロールバーはウィンドウに付与されクライアント領域を仮想的に広げます。
縦方向と横方向があります。

vgo_HScrollbar int max, int amount
vgo_VScrollbar int max, int amount
	max		クライアント領域の最大値
	amount	スクロール時の最小単位(pixel)

2. vgo_Objprm で変更できる要素

	整数	-
	実数	-
	文字列	-

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	現バージョンではありません。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	vgo_SetScroll
	vgo_AddScroll
	vgo_GetVScroll
	vgo_GetHScroll
	vgo_GetScroll
	vgo_SetScrollAmount
	vgo_GetScrollAmount
	vgo_SetScrollRange
	vgo_GetScrollMaxRange
	vgo_GetAttachedScrollbarID

5. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	現バージョンではありません。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	VGO_SCROLLCLBK_CHANGED (0)
		スクロールが変更された時
		vgoClbkX は スクロール値 です。
		vgoClbkY は 変更フラグ値 です。
			&1	スクロール値が変更された
			&2	スクロールの実効範囲が変更された（ウィンドウサイズが変わった場合等）

%href
vgo_SetScroll
vgo_AddScroll
vgo_GetVScroll
vgo_GetHScroll
vgo_GetScroll
vgo_SetScrollAmount
vgo_GetScrollAmount
vgo_SetScrollRange
vgo_GetScrollRange
vgo_GetScrollMaxRange
vgo_ScrollbarSize
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_VTrackbar
縦トラックバー

%prm
var, base, min, max, amount
var 紐付ける変数（整数/実数）
base 基準値
min 最小値
max 最大値
amount 最小単位

%inst
詳細は vgo_HTrackbar を確認してください。

%href
vgo_Objsize
vgo_SetTracktip
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_HTrackbar
横トラックバー

%prm
var, base, min, max, amount
%inst
1. トラックバー
トラックバーはつまみを操作することで値を変更するオブジェクトです。
縦方向と横方向があります。

vgo_HTrackbar var var, any base, any min, any max, any amount
vgo_VTrackbar var var, any base, any min, any max, any amount
	var		紐付ける変数（整数/実数）
	base		基準値
	min		最小値
	max		最大値
	amount	最小単位

	扱う値の型は紐付ける変数の型に依存します。
	基準値は描画時の塗りつぶし範囲に影響します。
	最小値と最大値を逆に設定すると上下や左右の方向が反転します。
	最小単位は操作時にその単位で値が変化するようになります。
	例えば実数型で 0.5 を指定すれば 0.5 単位で変化します。
	0 を指定すると最小単位は使用されず、各操作による単位で変化します。

2. vgo_Objprm で変更できる要素

	整数	値
	実数	値
	文字列	-

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	現バージョンではありません。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	vgo_SetTracktip

5. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_TRACKBAR_VERTICAL
		（内部用）縦方向です。

	VGO_TRACKBAR_HORIZON
		（内部用）横方向です。

	VGO_TRACKBAR_REVERSE
		（内部用）方向を反転します。

	VGO_TRACKBAR_FILLRANGE
		基準値から現在値の範囲を塗りつぶします。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	VGO_TRACKBARCLBK_CHANGED (0)
		マウス操作やキーボードで値が変更された時
		vgoClbkX は 変更後の値 ですが、実数は整数に変換されます。

%href
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_SetTracktip
vgo_Objsize
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_StaticText
スタティックテキスト

%prm
string, ah, av, textColor, bkColor
string 表示テキスト
ah 横整列 (0~2)
av 縦整列 (0~2)
textColor 文字色 ($RRGGBB)
bkColor 文字背景色 ($RRGGBB)

%inst
1. スタティックテキスト
シンプルな文字列を表示するオブジェクトです。

vgo_StaticText str string, int ah, int av, int textColor, int bkColor
vgo_StaticLineText str string, int ah, int av, int textColor, int bkColor
	string	表示テキスト
	ah		横整列 (0~2)
	av		縦整列 (0~2)
	textColor	文字色 ($RRGGBB)
	bkColor	文字背景色 ($RRGGBB)

	vgo_StaticText はオブジェクトのサイズ内に収まらない場合に折り返しが発生します。
	vgo_StaticLineText は折り返しがありません。（改行コードによる改行はあります）
	textColor や bkColor は省略もしくは -1 を指定するとデフォルト色になります。

2. vgo_Objprm で変更できる要素

	整数	-
	実数	-
	文字列	表示文字列

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	現バージョンではありません。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

vgo_SetObjectColor
vgo_SetColorStyle

5. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_STATIC_TEXT
		（内部用）テキスト形式です。

	VGO_STATIC_SEPARATOR
		（内部用）セパレーターです。

	VGO_STATIC_LINEWRAPPING
		テキストを折り返します。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	現バージョンではありません。

%href
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_SetObjectColor
vgo_SetColorStyle
vgo_Objsize
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_Input
一行入力ボックス

%prm
var, style
var 紐付ける変数
style スタイル

%inst
詳細は vgo_Mesbox を確認してください。

%href
vgo_GetEditContextMenuID
vgo_Objsize
vgo_UpdateEditVariable
vgo_SetFmtText
vgo_AddFmtText
vgo_PushFmtText
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_Mesbox
複数行入力ボックス

%prm
var, style
var 紐付ける変数
style スタイル

%inst
1. 入力ボックス
入力ボックスはキーボードから文字を入力し、テキスト等を管理するオブジェクトです。
vgo_Input は一行のみ、vgo_Mesbox は複数行です。

vgo_Input var var, int style
	var		紐付ける変数
	style		スタイル

vgo_Mesbox var var, int style
	var		紐付ける変数
	style		スタイル
	
	扱う内容は紐付ける変数の型に依存します。

	このモジュールの入力ボックスはテキストを行単位に分解して管理します。
	この仕様上、文字列内の位置は「Y行とX文字目」の二つで管理されます。（Y=line, X=charIndex）
	つまり先頭からのバイト単位ではありません。
	また、元の文字が何バイト表現であろうとも1文字あたりの単位を1とします。
	よって strmid など、バイト単位で扱う通常命令と管理が違う点に注意する必要があります。
	単純にテキストの入出力だけであればこの点は気にする必要はありません。

	入力ボックスには編集履歴があり、元に戻すとやり直すが使用できます。
	履歴は最大数が設定されており、古いものから削除されます。

	独自形式の書式付きテキストが使用できます。
	詳しくは専用命令を参照してください。

2. vgo_Objprm で変更できる要素

	整数	入力ボックスの内容
	実数	入力ボックスの内容
	文字列	入力ボックスの内容

3. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	vgo_SendCmd int id, VGO_EDITCMD_UNDO
		元に戻します。

	vgo_SendCmd int id, VGO_EDITCMD_REDO
		やり直します。

	vgo_SendCmd int id, VGO_EDITCMD_CUT
		選択範囲をクリップボードに切り取ります。
	
	vgo_SendCmd int id, VGO_EDITCMD_COPY
		選択範囲をクリップボードにコピーします。

	vgo_SendCmd int id, VGO_EDITCMD_PASTE
		選択範囲にクリップボードから貼り付けます。

	vgo_SendCmd int id, VGO_EDITCMD_DELETE
		選択範囲を削除します。

	vgo_SendCmd int id, VGO_EDITCMD_SELECTALL
		全て選択します。

	vgo_SendCmd int id, VGO_EDITCMD_SETSEL, int beginLine, int beginCharIndex, int endLine, int endCharIndex
		指定した範囲を選択します。

	vgo_SendCmd int id, VGO_EDITCMD_GETSEL
		選択範囲を vgoCmdRet(0)~(3) に返します。

	vgo_SendCmd int id, VGO_EDITCMD_SETCARET, int line, int charIndex
		キャレット位置を設定します。

	vgo_SendCmd int id, VGO_EDITCMD_GETCARET
		キャレット位置を vgoCmdRet(0)~(1) に返します。

	vgo_SendCmd int id, VGO_EDITCMD_GETCARETCHARRANGE
		キャレット位置の文字と同系列文字の範囲を vgoCmdRet(0)~(3) に返します。
		これはダブルクリック時の選択範囲と同じです。

	vgo_SendCmd int id, VGO_EDITCMD_GETTEXT, int beginLine, int beginCharIndex, int endLine, int endCharIndex
		指定した範囲のテキストを vgoCmdRet に返します。

	vgo_SendCmd int id, VGO_EDITCMD_GETSELTEXT
		選択範囲のテキストを vgoCmdRet に返します。

	vgo_SendCmd int id, VGO_EDITCMD_LIMITTEXT, int limit
		入力可能文字数を制限します。
		-1 は無制限になります。

	vgo_SendCmd int id, VGO_EDITCMD_SETPADDING, int left, int top, int right, int bottom
		パディングを設定します。

	vgo_SendCmd int id, VGO_EDITCMD_SETTABSTOPS, int num, int tabs
		タブストップを設定します。
		num にタブストップの数を指定し、
		tabs にタブストップを格納した配列変数のポインタを指定します。

	vgo_SendCmd int id, VGO_EDITCMD_HISTORYENABLE, int flag
		編集履歴（元に戻すとやり直す）を有効/無効化します。
		flag に 1 を指定すると有効化します。
		flag に 0 を指定すると無効化し、それまでの履歴が削除されます。

	vgo_SendCmd int id, VGO_EDITCMD_CLEARHISTORY
		編集履歴を削除します。

	vgo_SendCmd int id, VGO_EDITCMD_SETHISTORYMAX
		編集履歴の最大数を設定します。

	vgo_SendCmd int id, VGO_EDITCMD_SHOWBLANK, int flag
		空白文字の可視化設定です。
		flag は以下の値を組み合わせて指定します。
			&1	タブ
			&2	半角スペース
			&4	全角スペース
			&8	NBSP

	vgo_SendCmd int id, VGO_EDITCMD_SETLINESPACING, int lineSpacing, int lineSpacingOffset
		行間を設定します。
		lineSpacing は行間(pixel)で 0~255 の範囲で指定します。
		lineSpacingOffset は文字表示位置を どれだけずらすかを 0~lineSpacing の範囲で指定します。

	vgo_SendCmd int id, VGO_EDITCMD_SETCONTEXTMENU, int menuID
		右クリックで表示されるコンテキストメニューを設定します。

	vgo_SendCmd int id, VGO_EDITCMD_SETFMT, int varptr(ptrData), int mode
		指定範囲のテキストの書式を変更します。
		mode は変更方法で以下の値を指定します。
			-1	Remove
			0	Set
			1	Add
			
		ptrData は 24 バイトで以下の内容を格納してください。
		beginLine, beginChar, endLine, endChar, fmt(8byte)

		fmtは以下のような構造になります。
		0-3バイト目(4byte) 各書式フラグと文字色
			$FF000000	各書式フラグ
			VTC_FMT_DISABLE				$00000000	//	フォーマット情報無し
			VTC_FMT_ENABLE				$01000000	//	フォーマット情報有り
			VTC_FMT_COLOR				$02000000	//	文字色指定 $00BBGGRR
			VTC_FMT_BOLD				$04000000	//	bold
			VTC_FMT_STRIKETHROUGH		$08000000	//	strikethrough
			VTC_FMTFILTER_UNDERLINE		$30000000
			VTC_FMT_UNDERLINE			$10000000	//	under line
			VTC_FMT_UNDERLINEDASHED		$20000000	//	under line(dashed)
			VTC_FMT_UNDERLINEWAVY		$30000000	//	under line(wavy)

			$00FFFFFF	文字色(RRGGBB)

		4-7バイト目(4byte) 予約
			$00000000 としてください。

4. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	vgo_UpdateEditVariable
	vgo_SetFmtText
	vgo_AddFmtText
	vgo_PushFmtText

5. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	VGO_EDIT_VERTICAL
		縦スクロールバーを表示します。

	VGO_EDIT_HORIZON
		横スクロールバーを表示します。

	VGO_EDIT_READONLY
		編集不可にします。

	VGO_EDIT_MULTILINE
		（内部用）複数行にします。

	VGO_EDIT_PASSWORD
		文字を全て * で表示します。

	VGO_EDIT_NOIME
		IME無効にします。

	VGO_EDIT_NOTAB
		tabを入力不可にします。

	VGO_EDIT_TABINDENT
		tabキーによる複数行選択インデントを有効化します。

	VGO_EDIT_AUTOINDENT
		改行時に自動インデントします。

	VGO_EDIT_LINENUM
		行番号を表示します。

	VGO_EDIT_RETURNSYMBOL
		改行記号を表示します。

	VGO_EDIT_CARETLINE
		キャレットのある行を強調表示します。

	VGO_EDIT_INACTIVEUPDATE
		消極的更新モードにします。
		変数への反映がフォーカスロスト時と
		vgo_UpdateEditVariable が実行された時のみになります。

	VGO_EDIT_LINEWRAPPING
		端で自動折り返しします。
		かなり重いため初期状態はOFFです。

	VGO_EDIT_NOHIDESEL
		非フォーカス時でも選択範囲を表示します。

6. アクションコールバック
このオブジェクトは vgoClbkState に以下の値を格納しコールバックします。

	VGO_EDITCLBK_INPUT (0)
		入力があった時（この入力で変数が更新された場合も含む）

	VGO_EDITCLBK_UPDATE (1)
		変数が更新された時

	VGO_EDITCLBK_ENTER (2)
		一行モード（VGO_EDIT_MULTILINE無し）の場合にエンターキーが押された時

	VGO_EDITCLBK_ESC (3)
		ESCキーが押された時

	VGO_EDITCLBK_FOCUSGAIN (4)
		フォーカスを得た時

	VGO_EDITCLBK_FOCUSLOST (5)
		フォーカスを失った時

	VGO_EDITCLBK_CUSTOMMENU (10)
		コンテキストメニューで標準コマンド以外のアイテムIDを選択した時
		vgoClbkX は アイテムID です。

%href
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_UpdateEditVariable
vgo_SetFmtText
vgo_AddFmtText
vgo_PushFmtText
vgo_GetEditContextMenuID
vgo_Objsize
vgo_GetAttachedScrollbarID
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_Listbox
リストボックス

%prm
var, itemSize, data
var 紐付ける変数
itemSize 表示アイテム一つあたりの高さ
data リストの内容を示す改行区切りの文字列

%inst
7. リストボックス
リストボックスは常に展開されたリストから項目を選択するオブジェクトです。

vgo_Listbox var var, int itemSize, str data
	var		紐付ける変数
	itemSize	表示アイテム一つあたりの高さ
	data		リストの内容を示す改行区切りの文字列

8. vgo_Objprm で変更できる要素

	整数	選択インデックス
	実数	-
	文字列	リストの内容を示す改行区切りの文字列

9. コマンド送信
このオブジェクトは vgo_SendCmd で以下のコマンドを送信できます。

	現バージョンではありません。

10. 専用/関連命令
このオブジェクトは以下の命令が使用できます。

	現バージョンではありません。

11. 固有スタイル
このオブジェクトは次の固有スタイルがあります。
汎用スタイルは vgo_SetStyle を参照してください。
（内部用）はモジュール内部で使用されるもので通常は設定/変更しないでください。

	現バージョンではありません。

12. アクションコールバック
このオブジェクトは以下のアクションコールバックがあります。

	VGO_LISTBOXCLBK_SELECTED (0)
		マウスやキーボードで選択項目が変更された時
		vgoClbkX は 選択値 です。

	VGO_LISTBOXCLBK_DBLCLK (1)
		ダブルクリックされた時
		vgoClbkX は 選択値 です。

%href
vgo_SendCmd
vgo_Objprm
vgo_SetStyle
vgo_Objsize
vgo_GetAttachedScrollbarID
vgoID

%dll
vgo

%group
vgoオブジェクト

%index
vgo_SendCmd
オブジェクトにコマンド送信

%prm
id, command, prm1, prm2, prm3, prm4
id オブジェクトID
command コマンド定数
prm1 ~ prm4 引数

%inst
コマンドと引数は各オブジェクトの詳細を確認してください。

%href
vgo_Button
vgo_Chkbox
vgo_Combox
vgo_MenuBar
vgo_StatusBar
vgo_CaptionPanel
vgo_FlatBar
vgo_HTrackbar
vgo_StaticText
vgo_Mesbox
vgo_Listbox
vgoCmdRet

%dll
vgo

%group
vgoオブジェクトコマンド

%index
vgo_SetPos
オブジェクトの位置を変更

%prm
id, px, py
id オブジェクトID
px 位置X(原寸)
py 位置Y(原寸)

%inst

%href
vgo_GetPosX
vgo_GetPosY
vgo_GetRect

%dll
vgo

%group
vgoオブジェクト設定(位置など)

%index
vgo_GetPosX
オブジェクトの位置Xを返す

%prm
( id, flag)
id オブジェクトID
flag フラグ

%inst
フラグは以下の値を指定します。
	0	倍寸で返す（スケーリングやスクロールが反映された値）
	1	原寸で返す（100％での値）

%href
vgo_SetPos
vgo_GetPosY
vgo_GetRect

%dll
vgo

%group
vgoオブジェクト設定(位置など)

%index
vgo_GetPosY
オブジェクトの位置Yを返す

%prm
( id, flag)
id オブジェクトID
flag フラグ

%inst
フラグは以下の値を指定します。
	0	倍寸で返す（スケーリングやスクロールが反映された値）
	1	原寸で返す（100％での値）

%href
vgo_SetPos
vgo_GetPosX
vgo_GetRect

%dll
vgo

%group
vgoオブジェクト設定(位置など)

%index
vgo_SetSize
オブジェクトのサイズを変更

%prm
id, sx, sy
id オブジェクトID
sx サイズX(原寸)
sy サイズY(原寸)

%inst

%href
vgo_GetSizeX
vgo_GetSizeY
vgo_GetRect

%dll
vgo

%group
vgoオブジェクト設定(位置など)

%index
vgo_GetSizeX
オブジェクトのサイズXを返す

%prm
( id, flag)
id オブジェクトID
flag フラグ

%inst
フラグは以下の値を指定します。
	0	倍寸で返す（スケーリングやスクロールが反映された値）
	1	原寸で返す（100％での値）

%href
vgo_SetSize
vgo_GetSizeY
vgo_GetRect

%dll
vgo

%group
vgoオブジェクト設定(位置など)

%index
vgo_GetSizeY
オブジェクトのサイズYを返す

%prm
( id, flag)
id オブジェクトID
flag フラグ

%inst
フラグは以下の値を指定します。
	0	倍寸で返す（スケーリングやスクロールが反映された値）
	1	原寸で返す（100％での値）

%href
vgo_SetSize
vgo_GetSizeX
vgo_GetRect

%dll
vgo

%group
vgoオブジェクト設定(位置など)

%index
vgo_GetRect
オブジェクトの位置とサイズ(倍寸)を取得

%prm
id, ret
id オブジェクトID
ret 値を返す配列変数

%inst
倍寸位置X, 倍寸位置Y, 倍寸サイズX, 倍寸サイズY を返します。

%href
vgo_SetPos
vgo_GetPosX
vgo_GetPosY
vgo_SetSize
vgo_GetSizeX
vgo_GetSizeY

%dll
vgo

%group
vgoオブジェクト設定(位置など)

%index
vgo_SetLayer
オブジェクトのレイヤーを変更

%prm
id, layer
id オブジェクトID
layer 設定するレイヤー

%inst
レイヤーは大きく分けてクライアントレイヤーとシステムレイヤーに分けられます。
クライアントレイヤーは通常のオブジェクトが配置されるレイヤーです。
画面更新時に再描画が必要なオブジェクトのみ再描画を行います。
システムレイヤーはメニューバーやステータスバーなど、システム的なオブジェクトが配置されるレイヤーです。
このレイヤーは画面更新時に全て再描画されます。

レイヤーは以下の値を一つ指定します。
	VGO_LAYER_CLIENT_BOTTOM
	VGO_LAYER_CLIENT
	VGO_LAYER_CLIENT_OBJECT（通常のオブジェクト）
	VGO_LAYER_CLIENT_TOP
	VGO_LAYER_CLIENT_TOPMOST
	VGO_LAYER_SYSTEM_BOTTOM（フラットバー）
	VGO_LAYER_SYSTEM（ウィンドウのスクロールバー）
	VGO_LAYER_SYSTEM_OBJECT
	VGO_LAYER_SYSTEM_FRAME（メニューバー、ステータスバー）
	VGO_LAYER_SYSTEM_TOP
	VGO_LAYER_SYSTEM_TOPMOST

%href
vgo_GetLayer
vgo_SetStyle

%dll
vgo

%group
vgoオブジェクト設定(位置など)

%index
vgo_GetLayer
オブジェクトのレイヤーを返す

%prm
( id)
id オブジェクトID

%inst
レイヤーに関しては vgo_SetLayer を確認してください。

%href
vgo_SetLayer

%dll
vgo

%group
vgoオブジェクト設定(位置など)

%index
vgo_SetState
オブジェクトの状態を設定

%prm
id, state
state 状態値

%inst
状態値は以下の値を組み合わせて指定します。
	VGO_STATE_VISIBLE	可視状態
	VGO_STATE_DISABLE	無効1
	VGO_STATE_DISABLE1	無効1
	VGO_STATE_DISABLE2	無効2
	VGO_STATE_NOHITCHECK	ヒットチェックを行わない

無効1と2はどちらを使っても良く、必要に応じて使い分けてください。

%href
vgo_AddState
vgo_RemoveState
vgo_SetStateAll
vgo_GetState

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_AddState
オブジェクトの状態に追加

%prm
id, state
id オブジェクトID
state 追加する状態値

%inst
状態値は vgo_SetState を確認してください。

%href
vgo_SetState
vgo_RemoveState
vgo_SetStateAll
vgo_GetState

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_RemoveState
オブジェクトの状態を除去

%prm
id, state
id オブジェクトID
state 取り除く状態値

%inst
状態値は vgo_SetState を確認してください。

%href
vgo_SetState
vgo_AddState
vgo_SetStateAll
vgo_GetState

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_SetStateAll
操作先ウィンドウの全オブジェクト状態設定

%prm
state, flag
state 状態値
flag 操作方法

%inst
状態値は vgo_SetState を確認してください。

操作方法は以下の値を指定します。
	-1	取り除く
	0	設定する
	1	追加する

%href
vgo_SetState
vgo_AddState
vgo_RemoveState
vgo_GetState

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_GetState
オブジェクトの状態を返す

%prm
( id)
id オブジェクトID

%inst
この関数で返される状態値は通常の状態値の他、ヒットステートなどシステム的な状態も含まれます。

%href
vgo_SetState
vgo_AddState
vgo_RemoveState
vgo_SetStateAll

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_ObjEnable
オブジェクトの有効状態を設定

%prm
id, flag
id オブジェクトID
flag 設定値

%inst
設定値は以下の値を指定します。
	0	無効
	1	有効

これは状態値の VGO_STATE_DISABLE を操作します。
状態値に関しては vgo_SetState を参照してください。

%href
vgo_IsEnable
vgo_ObjVisible
vgo_IsVisible

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_IsEnable
オブジェクトが有効状態かどうか

%prm
( id)
id オブジェクトID

%inst
有効状態ならば 1 を返します。

%href
vgo_ObjEnable
vgo_ObjVisible
vgo_IsVisible

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_ObjVisible
オブジェクトの可視状態を設定

%prm
id, flag
id オブジェクトID
flag 設定値

%inst
設定値は以下の値を指定します。
	0	不可視
	1	可視

これは状態値の VGO_STATE_VISIBLE を操作します。
状態値に関しては vgo_SetState を参照してください。

%href
vgo_ObjEnable
vgo_IsEnable
vgo_IsVisible

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_IsVisible
オブジェクトが可視状態かどうか

%prm
( id)
id オブジェクトID

%inst
可視状態ならば 1 を返します。

%href
vgo_ObjEnable
vgo_IsEnable
vgo_ObjVisible

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_SetStyle
オブジェクトのスタイルを設定

%prm
id, style
id オブジェクトID
style スタイル

%inst
スタイルは以下の値を組み合わせて指定します。
	VGO_STYLE_NOBG	オブジェクトの背景をクリアしない
	VGO_STYLE_POSITIONFIXED	スクロール等の影響を受けず位置を固定する (vgo_SetLayerと併用が基本です)
	VGO_STYLE_NOFOCUSBOX	フォーカスボックスを表示しない
	VGO_STYLE_STANDARD	モジュールによる標準描画
	VGO_STYLE_HSPIMAGE	HSPバッファの画像を使う
	VGO_STYLE_GDIPIMAGE	GDIPバッファの画像を使う

VGO_STYLE_STANDARD
	VGO_STYLE_DEFAULT	VGO_STYLE_STANDARD|VGO_STYLE_BORDER|VGO_STYLE_RADIUS
	VGO_STYLE_BORDER	外枠を描画する
	VGO_STYLE_RADIUS	外枠を丸める、以下の TL|TR|BR|TL と等しい
	VGO_STYLE_RADIUSTL	左上を丸める
	VGO_STYLE_RADIUSTR	右上を丸める
	VGO_STYLE_RADIUSBR	右下を丸める
	VGO_STYLE_RADIUSBL	左下を丸める

VGO_STYLE_HSPIMAGE / VGO_STYLE_GDIPIMAGE
	VGO_STYLE_MANUALSCALING	画像バッファ使用時に手動でスケーリング調整する
	VGO_IMAGE_DEFAULT	黒を透過色として1回描画する
	VGO_IMAGE_BLEND	下地に通常画像を1回描画し、状態画像を半透明(prm)で1回重ねる

スタイルは共通系の VGO_STYLE_* や VGO_IMAGE_* の他、オブジェクト固有のスタイルも存在します。
詳しくは各オブジェクトの詳細を確認してください。

スタイルを追加したり取り除くのであれば vgo_AddStyle や vgo_RemoveStyle もあります。

%href
vgo_AddStyle
vgo_RemoveStyle
vgo_GetStyle
vgo_SetLayer
vgo_Button
vgo_Chkbox
vgo_Combox
vgo_MenuBar
vgo_StatusBar
vgo_CaptionPanel
vgo_FlatBar
vgo_HTrackbar
vgo_StaticText
vgo_Mesbox
vgo_Listbox
vgo_ObjImage

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_AddStyle
オブジェクトのスタイルに追加

%prm
id, style
id オブジェクトID
style 追加するスタイル

%inst
スタイルに関しては vgo_SetStyle を参照してください。

%href
vgo_SetStyle
vgo_RemoveStyle
vgo_GetStyle
vgo_ObjImage

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_RemoveStyle
オブジェクトのスタイルを除去

%prm
id, style
id オブジェクトID
style 取り除くスタイル

%inst
スタイルに関しては vgo_SetStyle を参照してください。

%href
vgo_SetStyle
vgo_AddStyle
vgo_GetStyle

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_GetStyle
オブジェクトのスタイルを返す

%prm
( id)
id オブジェクトID

%inst
スタイルに関しては vgo_SetStyle を参照してください。

%href
vgo_SetStyle
vgo_AddStyle
vgo_RemoveStyle

%dll
vgo

%group
vgoオブジェクト設定(状態)

%index
vgo_Objprm
オブジェクトの値を変更

%prm
id, value
id オブジェクトID
value 設定する値や文字列など

%inst
vgo_Objprm と vgo_SetValue は同じ動作をします。
標準命令の objprm と同様に value の型によって変更される要素が変わります。
詳しくは各オブジェクトの詳細を確認してください。

%href
vgo_SetValue
vgo_GetValue
vgo_SetText
vgo_Button
vgo_Chkbox
vgo_Combox
vgo_MenuBar
vgo_StatusBar
vgo_CaptionPanel
vgo_FlatBar
vgo_HTrackbar
vgo_StaticText
vgo_Mesbox
vgo_Listbox

%dll
vgo

%group
vgoオブジェクト設定(値)

%index
vgo_SetValue
オブジェクトの値を変更

%prm
id, value
id オブジェクトID
value 設定する値や文字列など

%inst
vgo_Objprm と vgo_SetValue は同じ動作をします。
標準命令の objprm と同様に value の型によって変更される要素が変わります。
詳しくは各オブジェクトの詳細を確認してください。

%href
vgo_Objprm
vgo_GetValue
vgo_SetText

%dll
vgo

%group
vgoオブジェクト設定(値)

%index
vgo_GetValue
オブジェクトの値を返す

%prm
( id)
id オブジェクトID

%inst

%href
vgo_Objprm
vgo_SetValue

%dll
vgo

%group
vgoオブジェクト設定(値)

%index
vgo_SetText
オブジェクトのテキスト設定

%prm
id, text
id オブジェクトID
text 設定するテキスト

%inst
テキスト要素のあるオブジェクトのテキストを設定します。
現在のテキストに追加したい場合は vgo_AddText や vgo_PushText もあります。

%href
vgo_AddText
vgo_PushText
vgo_GetText
vgo_Objprm
vgo_SetValue

%dll
vgo

%group
vgoオブジェクト設定(値)

%index
vgo_AddText
オブジェクトのテキストに追加

%prm
id, text
id オブジェクトID
text 追加するテキスト

%inst
テキスト要素のあるオブジェクトにテキストを追加します。
似た命令として vgo_SetText や vgo_PushText もあります。

例えば "hoge" に "piyo" を追加した場合、
"hogepiyo"
になります。

%href
vgo_SetText
vgo_PushText
vgo_GetText

%dll
vgo

%group
vgoオブジェクト設定(値)

%index
vgo_PushText
オブジェクトのテキストに改行付き追加

%prm
id, text
id オブジェクトID
text 追加するテキスト

%inst
テキスト要素のあるオブジェクトにテキストを改行付きで追加します。
似た命令として vgo_SetText や vgo_AddText もあります。

例えば "hoge" に "piyo" を追加した場合、
"hoge
piyo"
になります。

%href
vgo_SetText
vgo_AddText
vgo_GetText

%dll
vgo

%group
vgoオブジェクト設定(値)

%index
vgo_GetText
オブジェクトのテキストを返す

%prm
( id)
id オブジェクトID

%inst

%href
vgo_SetText
vgo_AddText
vgo_PushText

%dll
vgo

%group
vgoオブジェクト設定(値)

%index
vgo_SetParent
オブジェクトの親を設定

%prm
id, parent
id オブジェクトID
parent 親にするオブジェクトID

%inst
同一ウィンドウ内のオブジェクトで親子関係を設定します。
子になったオブジェクトは親の表示/非表示、有効/無効の影響を受けるようになります。
また親の原点設定位置を起点とした相対位置に配置されます。
あくまでも位置だけで親オブジェクトによるクリッピングなどは発生しません。

%href
vgo_GetParent

%dll
vgo

%group
vgoオブジェクト設定(その他)

%index
vgo_GetParent
オブジェクトの親を返す

%prm
( id)
id オブジェクトID

%inst

%href
vgo_SetParent

%dll
vgo

%group
vgoオブジェクト設定(その他)

%index
vgo_SetFont
オブジェクトのフォントを設定

%prm
id, name, size, style
id オブジェクトID
name フォント名
size フォントサイズ
style フォントスタイル

%inst

%href
vgo_DefaultFont

%dll
vgo

%group
vgoオブジェクト設定(その他)

%index
vgo_ObjImage
オブジェクトにバッファ画像を割り当てる

%prm
id, buffer, imgx, imgy, imgPrm, srcScaling
id オブジェクトID
buffer バッファID
imgx 画像位置X
imgy 画像位置Y
imgPrm パラメータ（主にブレンド係数）
srcScaling ソーススケーリング

%inst
vgo_SetStyle などを使ってスタイルに VGO_STYLE_HSPIMAGE か VGO_STYLE_GDIPIMAGE を追加する必要があります。

ボタン vgo_Button や チェックボックス vgo_Chkbox に使用できます。

VGO_STYLE_HSPIMAGE は buffer を screen や buffer のHSPバッファIDとして扱います。
VGO_STYLE_GDIPIMAGE は buffer をGDIPバッファIDとして扱います。

ソーススケーリングはバッファ側の倍率で 100 が 100% になります。
例えばオブジェクトの基本サイズが 40x40 の場合、

ソーススケーリング 100 は 40x40 のバッファ画像を 40x40 のまま出力します。
画面側のスケーリングが200%だった場合は 40x40 を 80x80 に拡大して出力します。

ソーススケーリング 300 は 120x120 のバッファ画像を 40x40 に縮小して出力します。
画面側のスケーリングが200%だった場合は 120x120 を 80x80 に縮小して出力します。

拡大出力は画像の粗さやぼやけが目立ちますが、縮小はあまり目立たなくなります。

ソーススケーリングはサイズと元画像位置の両方に影響します。
元位置 imgx=32, imgy=64 の場合、
ソーススケーリング 100 は 32,64 からコピーします。
ソーススケーリング 300 は 96,192 からコピーします。

%href
vgo_Button
vgo_Chkbox
vgo_SetStyle
vgo_AddStyle

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_SetObjectColor
一部のオブジェクトの色を設定

%prm
id, colorText, colorBG, colorCBG
id オブジェクトID
colorText テキスト
colorBG オブジェクトの背景色
colorCBG  オブジェクト直下のクライアント背景色

%inst
各色 -1 を指定するとデフォルト色が使用されます。
チェックボックスやスタティックテキストなどに使用できます。

%href
vgo_Chkbox
vgo_StaticText

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_SetColorStyle
オブジェクトのカラースタイルを設定

%prm
id, colorStyle
id オブジェクトID
colorStyle カラースタイル

%inst
以下のオブジェクトに使用できます。
	メニューバー vgo_MenuBar, vgo_MenuPanel
	ステータスバー vgo_StatusBar, vgo_StatusPanel
	キャプションパネル vgo_CaptionPanel
	フラットバー vgo_FlatBar

カラースタイルは以下の値を一つ指定します。
	VGO_COLORSTYLE_OBJECT
	VGO_COLORSTYLE_FRAME
	VGO_COLORSTYLE_MENUBAR
	VGO_COLORSTYLE_CAPTION

%href
vgo_MenuPanel
vgo_MenuBar
vgo_StatusPanel
vgo_StatusBar
vgo_CaptionPanel
vgo_FlatBar
vgo_Chkbox
vgo_StaticText

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_SetTooltip
オブジェクトにツールチップを設定

%prm
id, str
id オブジェクトID
str 表示するテキスト

%inst
設定するとオブジェクトにマウスカーソルを乗せた時にツールチップが表示されるようになります。
表示するテキストを空 "" にするとツールチップが削除されます。

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_SetTracktip
トラックバーにトラックバーチップを設定

%prm
id, fmt
id オブジェクトID
fmt strf書式

%inst
トラックバーチップはトラックバーを操作した時に現在の値を表示するツールチップです。
fmt には strf の書式を指定します。
初期値は整数の場合は "%d"、実数は "%.2f" です。

%href
vgo_VTrackbar
vgo_HTrackbar

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_SetStatusBarText
ステータスバーのテキストを設定

%prm
id, index, string
id オブジェクトID
index 書式によって分割された領域の 0 から始まるインデックス
string 設定する文字列

%inst
例えばステータスバーの書式に "*-L,*-C,*-R" を指定した場合、領域は3つに分割されます。
この時 *-L を0番として順番にインデックスが割り振られます。

%href
vgo_StatusBar
vgo_StatusPanel

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_GetStatusBarRect
ステータスバーの各領域を得る

%prm
id, ret
id オブジェクトID
ret 結果を返す配列変数

%inst
領域一つあたり4要素 px,py,width,height を返します。
例えばステータスバーの書式に "*-L,*-C,*-R" を指定した場合、領域は3つに分割されます。
この時 ret は領域0番から順番に 0~11 まで値が格納されます。
この座標とサイズはスケーリングが適用された値です。

%href
vgo_StatusBar
vgo_StatusPanel

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_UpdateEditVariable
入力ボックスの変数を更新

%prm
id
id オブジェクトID

%inst
入力ボックスから変数に現在の内容を転送します。
スタイルに VGO_EDIT_INACTIVEUPDATE が設定されていない場合は入力毎に変数が更新されます。
設定されている場合は入力ボックスがフォーカスロストした時に更新される他、
この命令によって任意のタイミングで更新できます。

%href
vgo_Input
vgo_Mesbox

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_SetFmtText
入力ボックスに書式付テキストを設定

%prm
id, text, bw, ew
id オブジェクトID
text 書式付きテキスト
bw 書式開始記号 (省略時は <)
ew 書式終了記号 (省略時は >)

%inst
書式付きテキストは色や装飾などの指定が可能なテキストです。
開始記号と終了記号で囲まれた部分が書式指定になります。
記号は任意に指定でき、開始と終了が同じ記号でも問題ありません。
エスケープが必要になるのは開始記号のみです。
例えば開始記号が < であれば << が < になります。
記号を < と > として、次の書式が利用できます。

<c> <c*> <c***> <c******>
	色指定、cの後の文字数で次のように解釈されます。
	0文字	デフォルト色
	1文字	パレットカラー(c0 ~ cF, 16色)
	3文字	RGB (c000 ~ cFFF)
	6文字	RRGGBB (c000000 ~ cFFFFFF)
	色指定は次の色が指定されるまでその色が維持されます。

<b> 太字化
<s> 打消し線
<u> 下線 (solid), <ud> 下線 (dashed), <uw> 下線 (wavy)
	装飾関係のこれらはスイッチ方式です。
	例えば piyo だけを太字化したい場合は次のように記述します。
	hoge<b>piyo<b>fuga

	同じ記号を指定した場合、例えば ! であれば次のようになります。
	hoge!b!piyo!b!fuga

	下線のスイッチは全種で共有されます。
	例えば次の例は abc に下線(solid)、ghiに下線(wavy)が付きます。
	<u>abc<ud>def<uw>ghi

%href
vgo_Input
vgo_Mesbox
vgo_AddFmtText
vgo_PushFmtText

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_AddFmtText
入力ボックスに書式付テキストを追加

%prm
id, text, bw, ew
id オブジェクトID
text 書式付きテキスト
bw 書式開始記号 (省略時は <)
ew 書式終了記号 (省略時は >)

%inst
書式付きテキストを末尾に追加します。
書式については vgo_SetFmtText を確認してください。

%href
vgo_Input
vgo_Mesbox
vgo_SetFmtText
vgo_PushFmtText

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_PushFmtText
入力ボックスに書式付テキストを改行付き追加

%prm
id, text, bw, ew
id オブジェクトID
text 書式付きテキスト
bw 書式開始記号 (省略時は <)
ew 書式終了記号 (省略時は >)

%inst
書式付きテキストを末尾に改行をつけて追加します。
書式については vgo_SetFmtText を確認してください。

%href
vgo_Input
vgo_Mesbox
vgo_SetFmtText
vgo_AddFmtText

%dll
vgo

%group
vgoオブジェクト設定(特殊)

%index
vgo_SetScroll
スクロール値を設定

%prm
id, value
id オブジェクトID、もしくは値
value スクロール値(ピクセル単位)

%inst
オブジェクトIDは以下の値も指定できます。
	-1	ウィンドウの縦スクロールバー
	-2	ウィンドウの横スクロールバー

%href
vgo_AddScroll
vgo_GetVScroll
vgo_GetHScroll
vgo_GetScroll
vgo_GetScrollAmount
vgo_SetScrollRange
vgo_GetScrollRange
vgo_GetScrollMaxRange
vgo_GetAttachedScrollbarID
vgo_HScrollbar

%dll
vgo

%group
スクロール

%index
vgo_AddScroll
スクロール値に加算

%prm
id, value, mode
id オブジェクトID、もしくは値
value スクロール加算値
mode スクロール加算値の解釈方法

%inst
オブジェクトIDは以下の値も指定できます。
	-1	ウィンドウの縦スクロールバー
	-2	ウィンドウの横スクロールバー

スクロール加算値の解釈方法は以下の値を指定します。
	0	ピクセル単位で扱う
	1	画面単位％で扱う（150なら1.5画面分）
	2	スクロール単位で扱う
	3	自動計算

%href
vgo_SetScroll
vgo_GetVScroll
vgo_GetHScroll
vgo_GetScroll
vgo_GetScrollAmount
vgo_SetScrollRange
vgo_GetScrollRange
vgo_GetScrollMaxRange
vgo_GetAttachedScrollbarID
vgo_HScrollbar

%dll
vgo

%group
スクロール

%index
vgo_GetVScroll
ウィンドウの縦スクロール値を得る

%prm
()
%inst

%href
vgo_GetHScroll
vgo_GetScroll
vgo_HScrollbar
vgo_SetScroll
vgo_AddScroll

%dll
vgo

%group
スクロール

%index
vgo_GetHScroll
ウィンドウの縦スクロール値を得る

%prm
()
%inst

%href
vgo_GetVScroll
vgo_GetScroll
vgo_HScrollbar
vgo_SetScroll
vgo_AddScroll

%dll
vgo

%group
スクロール

%index
vgo_GetScroll
スクロール値を得る

%prm
( id)
id オブジェクトID、もしくは値

%inst
オブジェクトIDは以下の値も指定できます。
	-1	ウィンドウの縦スクロールバー
	-2	ウィンドウの横スクロールバー

%href
vgo_GetVScroll
vgo_GetHScroll
vgo_HScrollbar
vgo_SetScroll
vgo_AddScroll

%dll
vgo

%group
スクロール

%index
vgo_SetScrollAmount
スクロール単位を設定

%prm
id, amount
id オブジェクトID、もしくは値
amount スクロール単位 (0~ pixel)

%inst
スクロール単位は例えば 10 を設定すると 10..20..30 という具合にスクロールします。
0 を設定するとスクロール単位を解除します。

オブジェクトIDは以下の値も指定できます。
	-1	ウィンドウの縦スクロールバー
	-2	ウィンドウの横スクロールバー

%href
vgo_GetScrollAmount
vgo_HScrollbar

%dll
vgo

%group
スクロール

%index
vgo_GetScrollAmount
スクロール単位を得る

%prm
( id)
id オブジェクトID、もしくは値

%inst
オブジェクトIDは以下の値も指定できます。
	-1	ウィンドウの縦スクロールバー
	-2	ウィンドウの横スクロールバー

%href
vgo_SetScrollAmount
vgo_HScrollbar
vgo_SetScroll
vgo_AddScroll

%dll
vgo

%group
スクロール

%index
vgo_SetScrollRange
スクロール範囲を設定

%prm
id, max
id オブジェクトID、もしくは値
max 最大値

%inst
オブジェクトIDは以下の値も指定できます。
	-1	ウィンドウの縦スクロールバー
	-2	ウィンドウの横スクロールバー

%href
vgo_GetScrollRange
vgo_GetScrollMaxRange
vgo_HScrollbar
vgo_SetScroll
vgo_AddScroll

%dll
vgo

%group
スクロール

%index
vgo_GetScrollRange
スクロール範囲を得る

%prm
( id)
id オブジェクトID、もしくは値

%inst
スクロールの最大値からクライアントの大きさを引いた、実際のスクロール範囲を得ます。

オブジェクトIDは以下の値も指定できます。
	-1	ウィンドウの縦スクロールバー
	-2	ウィンドウの横スクロールバー

%href
vgo_SetScrollRange
vgo_GetScrollMaxRange
vgo_HScrollbar
vgo_SetScroll
vgo_AddScroll

%dll
vgo

%group
スクロール

%index
vgo_GetScrollMaxRange
スクロール最大値を得る

%prm
( id)
id オブジェクトID、もしくは値

%inst
スクロールの最大値を得ます。

オブジェクトIDは以下の値も指定できます。
	-1	ウィンドウの縦スクロールバー
	-2	ウィンドウの横スクロールバー

%href
vgo_SetScrollRange
vgo_GetScrollRange
vgo_HScrollbar
vgo_SetScroll
vgo_AddScroll

%dll
vgo

%group
スクロール

%index
vgo_GetAttachedScrollbarID
オブジェクト付属スクロールバーのIDを返す

%prm
( id, direction)
id オブジェクトID、もしくは値
direction スクロールバーの種類

%inst
オブジェクトIDは以下の値も指定できます。
	-1	ウィンドウの縦スクロールバー
	-2	ウィンドウの横スクロールバー

スクロールバーの種類は以下の値を指定します。
	0	縦スクロールバー
	1	横スクロールバー
	&2	スクロールバーが非表示状態なら -1 を返す

オブジェクトがある場合は オブジェクトID を返します。
無い場合は -1 を返します。

%href
vgo_Mesbox
vgo_Listbox
vgo_SetScroll
vgo_AddScroll

%dll
vgo

%group
スクロール

%index
vgo_SetFocus
オブジェクトにフォーカス状態を設定

%prm
id
id オブジェクトID

%inst
-1 を指定するとフォーカスが解除されます。

%href
vgo_GetFocus

%dll
vgo

%group
フォーカス

%index
vgo_GetFocus
フォーカス状態のオブジェクトIDを返す

%prm
()
%inst

%href
vgo_SetFocus

%dll
vgo

%group
フォーカス

%index
vgo_SetScalingMode
スケーリングモードを設定

%prm
mode
mode スケーリングモード

%inst
スケーリングモードは以下の値を組み合わせて指定します。
	VGO_SCALING_DEFAULT	デフォルト（モニターDPIとスクリーンスケーリングの複合）
	VGO_SCALING_FREE	スクリーンスケーリングのみ（モニターDPIを無視する）
	VGO_SCALING_WHEEL	ctrl+ホイールによる拡大縮小を有効にする

%href
vgo_SetScaling
vgo_SetScalingClbk

%dll
vgo

%group
スケーリング

%index
vgo_SetScaling
スクリーンスケーリング値を設定

%prm
scaling
scaling スクリーンスケーリング値 (50~300)

%inst
スクリーンスケーリング値は各ウィンドウごとに設定できます。
100 = 100% になります。

%href
vgo_SetScalingMode
vgo_GetScaling
vgo_GetScreenScaling
vgo_SetScalingClbk

%dll
vgo

%group
スケーリング

%index
vgo_GetScaling
スケーリング値を返す

%prm
( old)
old 取得フラグ

%inst
このスケーリング値は モニターDPI と スクリーンスケーリング を掛け合わせた値です。
スクリーンスケーリングは vgo_GetScreenScaling で取得できます。
取得フラグに 1 を指定すると変更前の値を返します。

%href
vgo_SetScaling
vgo_GetScreenScaling
vgo_SetScalingClbk

%dll
vgo

%group
スケーリング

%index
vgo_GetScreenScaling
スクリーンスケーリング値を返す

%prm
( old)
old 取得フラグ

%inst
このスケーリング値はスクリーンスケーリングです。
実際のスケーリング値は vgo_GetScaling で取得できます。
取得フラグに 1 を指定すると変更前の値を返します。

%href
vgo_SetScaling
vgo_GetScaling
vgo_SetScalingClbk

%dll
vgo

%group
スケーリング

%index
vgo_SetBG
クライアント領域の背景色を設定

%prm
BG
BG 背景色

%inst
再描画時にクライアント領域をこの背景色でクリアします。
背景値は以下の値を指定します。
	$000000 ~ $FFFFFF	任意のRGB値
	-1	自動（カラーテーマのクライアント背景色）
	-2	無し

%href
vgo_SetBGImage

%dll
vgo

%group
背景

%index
vgo_SetBGImage
クライアント領域の背景に画像を設定

%prm
winID
winID HSPバッファID

%inst
背景画像が読み込まれた screen か buffer のIDを指定します。

%href
vgo_SetBG

%dll
vgo

%group
背景

%index
vgo_ReturnValue
oncmdの返す値を設定

%prm
value
value 返す値

%inst
vgo側が使用するウィンドウメッセージを oncmd で登録し、そのウィンドウメッセージに値を返す必要がある場合は以下のように値を返してください。

*CMD_LABEL
	// 処理ここから

	// 処理ここまで
	vgo_ReturnValue retval // 値を返す
	return retval // 念のためこっちも返す

%href
vgo_SetWMClbk

%dll
vgo

%group
コールバック

%index
vgo_SetWMClbk
ウィンドウメッセージコールバックを設定

%prm
label
label コールバックラベル

%inst
これはウィンドウごとに設定できます。

このモジュールが使用するウィンドウメッセージが送られてきた時のコールバックです。
現バージョンで使用しているウィンドウメッセージは以下のものです。
状況によってはコールバックしないものもあります。

	WM_NCMOUSEMOVE
	WM_MOUSEMOVE
	WM_MOUSELEAVE
	WM_LBUTTONDOWN
	WM_LBUTTONUP
	WM_RBUTTONDOWN
	WM_RBUTTONUP
	WM_MOUSEWHEEL
	WM_MOUSEHWHEEL
	WM_NCLBUTTONDOWN
	WM_NCRBUTTONDOWN
	WM_CHAR
	WM_IME_CHAR
	WM_IME_COMPOSITION
	WM_IME_STARTCOMPOSITION
	WM_KEYDOWN
	WM_KILLFOCUS
	WM_SETCURSOR
	WM_SIZE
	WM_SIZING
	WM_INPUT
	WM_NCHITTEST
	WM_DPICHANGED
	WM_SETTINGCHANGE
	WM_MOVE
	WM_TIMER
	WM_DROPFILES

label はラベル以外に以下の値を指定できます。
	0	無効化
	1	有効化

コールバック変数は次の値を取ります。
	vgoClbkID		-1 もしくは オブジェクトID（オブジェクトがクリックされた時など）
	vgoClbkState	0
	vgoClbkX		0
	vgoClbkY		0

	iparam			ウィンドウメッセージID

これらのメッセージを oncmd で登録して使う事もできます。
vgo_SetWMClbk はこれらのメッセージが一つのラベルに集中します。
oncmd は一つのラベルに一つのメッセージという状態にできます。

oncmd を使う場合、大体そのまま使用できますが goto はモジュールの構造上非推奨なので使用しないでください。
vgo側が使用するウィンドウメッセージを登録し、そのウィンドウメッセージに値を返す必要がある場合は以下のように vgo_ReturnValue を使用してください。

*CMD_LABEL
	// 処理ここから

	// 処理ここまで
	vgo_ReturnValue retval // 値を返す
	return retval // 念のためこっちも返す

%href
vgo_ReturnValue
vgo_SetSizingClbk
vgo_DrawMode
vgoClbkID
vgoClbkState

%dll
vgo

%group
コールバック

%index
vgo_SetDrawClbk
描画終了後コールバックを設定

%prm
label
label コールバックラベル

%inst
これはウィンドウごとに設定できます。
vgo_SetLayerClbk とは併用できません。
vgo_SetLayerClbk の VGO_LAYER_END でのコールバックになります。

モジュール側の描画処理の最後に呼び出されます。

label はラベル以外に以下の値を指定できます。
	0	無効化
	1	有効化

コールバック変数は次の値を取ります。
	vgoClbkID		-1
	vgoClbkState	VGO_LAYER_END
	vgoClbkX		0
	vgoClbkY		0

%href
vgo_SetLayerClbk
vgo_Redraw
vgo_Refresh
vgo_Draw
vgoClbkID
vgoClbkState

%dll
vgo

%group
コールバック

%index
vgo_SetLayerClbk
レイヤー別描画時コールバックを設定

%prm
label
label コールバックラベル

%inst
これはウィンドウごとに設定できます。
vgo_SetDrawClbk とは併用できません。

このコールバックは VGO_LAYER_BEGIN から VGO_LAYER_END までの全てのレイヤーで呼び出しが行われます。
呼び出し先で vgoClbkState の レイヤーID を参照し、必要なレイヤーのみ処理を行ってください。
レイヤーIDは以下の値があります。

	VGO_LAYER_BEGIN（描画開始）

	VGO_LAYER_CLIENT_BOTTOM
	VGO_LAYER_CLIENT
	VGO_LAYER_CLIENT_OBJECT（通常のオブジェクト）
	VGO_LAYER_CLIENT_TOP
	VGO_LAYER_CLIENT_TOPMOST

	VGO_LAYER_SYSTEM_BOTTOM（フラットバー）
	VGO_LAYER_SYSTEM（ウィンドウのスクロールバー）
	VGO_LAYER_SYSTEM_OBJECT
	VGO_LAYER_SYSTEM_FRAME（メニューバー、ステータスバー）
	VGO_LAYER_SYSTEM_TOP
	VGO_LAYER_SYSTEM_TOPMOST

	VGO_LAYER_END（描画終了）

label はラベル以外に以下の値を指定できます。
	0	無効化
	1	有効化

コールバック変数は次の値を取ります。
	vgoClbkID		-1
	vgoClbkState	レイヤーID
	vgoClbkX		0
	vgoClbkY		0

%href
vgo_SetDrawClbk
vgo_Redraw
vgo_Refresh
vgo_Draw
vgoClbkID
vgoClbkState

%dll
vgo

%group
コールバック

%index
vgo_SetSizingClbk
ウィンドウサイズ変更時コールバックを設定

%prm
label
label コールバックラベル

%inst
これはウィンドウごとに設定できます。

サイズ変更境界をドラッグしたりwidth命令が実行された時が対象です。
スケーリング変更でウィンドウサイズが変わった場合は対象外です。

label はラベル以外に以下の値を指定できます。
	0	無効化
	1	有効化

コールバック変数は次の値を取ります。
	vgoClbkID		-1
	vgoClbkState	通常変更=0, 最大化=1, 最小化=-1
	vgoClbkX		変更後のWinX（原寸）
	vgoClbkY		変更後のWinY（原寸）

%href
vgo_SetWMClbk
vgoClbkID
vgoClbkState
vgoClbkX
vgoClbkY

%dll
vgo

%group
コールバック

%index
vgo_SetScalingClbk
スケーリング変更時コールバックを設定

%prm
label
label コールバックラベル

%inst
これはウィンドウごとに設定できます。

スケーリングが変更された時に呼び出されます。

label はラベル以外に以下の値を指定できます。
	0	無効化
	1	有効化

コールバック変数は次の値を取ります。
	vgoClbkID		-1
	vgoClbkState	変更後のスケーリング値
	vgoClbkX		0
	vgoClbkY		0

%href
vgo_SetScalingMode
vgo_SetScaling
vgo_GetScaling
vgo_GetScreenScaling
vgoClbkID
vgoClbkState

%dll
vgo

%group
コールバック

%index
vgo_SetTimerClbk
タイマーコールバックを設定

%prm
label
label コールバックラベル

%inst
これは全ウィンドウで共有されます。

タイマーがタイムアウトした時に呼び出されます。
タイムアウトしたタイマーは自動で削除されます。

label はラベル以外に以下の値を指定できます。
	0	無効化
	1	有効化

コールバック変数は次の値を取ります。
	vgoClbkID		タイマーが設定された時のウィンドウID
	vgoClbkState	タイマーID
	vgoClbkX		0
	vgoClbkY		0

%href
vgo_SetTimer
vgo_KillTimer
vgoClbkID
vgoClbkState

%dll
vgo

%group
コールバック

%index
vgo_SetActionClbk
オブジェクトにアクションコールバックを設定

%prm
id, label
id オブジェクトID
label コールバックラベル

%inst
各オブジェクトの主要アクション時に発生するコールバックです。
ボタンなら押された時、チェックボックスならクリックされた時などです。
vgo_Objprm などで値を変更した場合は発生しません。

ボタンはこのコールバックがデフォルトで設定されます。

コールバック変数は次の値を取ります。
	vgoClbkID		オブジェクトID
	vgoClbkState	コールバック要因
	vgoClbkX		オブジェクトが返す値
	vgoClbkY		オブジェクトが返す値

%href
vgo_Button
vgo_CallActionClbk
vgoClbkID
vgoClbkState
vgoClbkX
vgoClbkY

%dll
vgo

%group
コールバック

%index
vgo_CallActionClbk
オブジェクトのアクションコールバックを呼び出す

%prm
id, state
id オブジェクトID
state vgoClbkState に格納される値

%inst
state は vgoClbkState に格納される値で自由に指定できます。

%href
vgo_SetActionClbk
vgoClbkID
vgoClbkState

%dll
vgo

%group
コールバック

%index
vgo_Redraw
操作先ウィンドウを更新し再描画

%prm
flag
flag レンダリングバッファ更新フラグ

%inst
現在の画面を再描画します。
内部で redraw の操作が行われます。
レンダリングバッファ更新フラグを 1 にすると全オブジェクトのレンダリングバッファも更新します。

レンダリングバッファに関しては vgo_RenderBuffer を確認してください。

%href
vgo_Refresh
vgo_Draw
vgo_RenderBuffer
vgo_SetUpdateFlag
vgo_GetUpdateFlag
vgo_SetDrawClbk
vgo_SetLayerClbk

%dll
vgo

%group
画面更新

%index
vgo_Refresh
全てのウィンドウを更新し再描画

%prm
flag
flag レンダリングバッファ更新フラグ

%inst
全ての画面を再描画します。
内部で redraw の操作が行われます。
レンダリングバッファ更新フラグを 1 にすると全オブジェクトのレンダリングバッファも更新します。

レンダリングバッファに関しては vgo_RenderBuffer を確認してください。

%href
vgo_Redraw
vgo_Draw
vgo_RenderBuffer
vgo_SetUpdateFlag
vgo_GetUpdateFlag
vgo_SetDrawClbk
vgo_SetLayerClbk

%dll
vgo

%group
画面更新

%index
vgo_Draw
操作先ウィンドウに描画

%prm
updateFlag
updateFlag 更新フラグ

%inst
操作先ウィンドウに描画します。
この命令はユーザー独自の描画ループ等で呼び出す事を想定しているため redraw の操作は行いません。
よってこの命令で再描画する場合は以下のように redraw を実行する必要があります。（非表示の画面で使用する場合は不要）

redraw 0
vgo_Draw
redraw 1

更新フラグは以下の値を指定します。
	VGO_UPDATE_OBJECT	再描画が必要なオブジェクトを描画します。
	VGO_UPDATE_ALL	背景から全て描画します。
	VGO_UPDATE_RENDERBUFFER	各オブジェクトのレンダリングバッファを更新します。

レンダリングバッファに関しては vgo_RenderBuffer を確認してください。

%href
vgo_Redraw
vgo_Refresh
vgo_RenderBuffer
vgo_SetUpdateFlag
vgo_GetUpdateFlag
vgo_SetDrawClbk
vgo_SetLayerClbk
vgo_DrawMode

%dll
vgo

%group
画面更新

%index
vgo_RenderBuffer
オブジェクトのレンダリングバッファを更新

%prm
id
id オブジェクトID

%inst
オブジェクトIDに -1 を指定するとそのウィンドウの全てのオブジェクトを更新します。

・レンダリングバッファについて
このモジュールのオブジェクトは画面出力用画像データを保持するために個別のレンダリングバッファを持ちます。
基本的にオブジェクトの内容が更新された場合にバッファも更新されますが、一部の操作では更新されないものもあります。
上手く更新されず表示がおかしい場合にバッファの更新を試してみてください。
なお、バッファの更新は処理負荷がかなり高いため、必要最低限行ってください。

・レンダリングバッファの実際の更新タイミングについて
vgo_RenderBuffer などは更新フラグを付けるだけです。
バッファの内容自体はその段階で更新されず、画面に出力する際に更新フラグがあればバッファを更新する、という動作になっています。
画面出力時ではなく、任意タイミングでバッファの更新を行いたい場合は vgo_RenderBufferUpdate を使用してください。

%href
vgo_Redraw
vgo_Refresh
vgo_Draw
vgo_SetUpdateFlag
vgo_GetUpdateFlag
vgo_RenderBufferUpdate

%dll
vgo

%group
画面更新

%index
vgo_RenderBufferUpdate
レンダリングバッファを更新

%prm

%inst
操作先ウィンドウのオブジェクトに更新フラグがある場合、そのレンダリングバッファを更新します。

%href
vgo_RenderBuffer

%dll
vgo

%group
画面更新

%index
vgo_DrawMode
描画モードを設定

%prm
mode
mode 描画モード

%inst
描画モードは以下の値を指定します。
	VGO_SYSTEM_AUTODRAW	自動描画
	VGO_SYSTEM_MANUALDRAW	手動描画（ウィンドウメッセージコールバックなどを拾って vgo_Draw を自前で呼び出す必要があります）

%href
vgo_SetWMClbk
vgo_Draw
vgo_GetUpdateFlag

%dll
vgo

%group
画面更新

%index
vgo_SetUpdateFlag
対象ウィンドウとオブジェクトの更新フラグを設定

%prm
winID, objID, flag
winID ウィンドウID
objID オブジェクトID
flag 更新フラグ

%inst
オブジェクトIDに -1 を指定するとウィンドウの設定だけ行います。

更新フラグは以下の値を指定します。
	VGO_UPDATE_OBJECT	再描画が必要なオブジェクトを描画します。
	VGO_UPDATE_ALL	背景から全て描画します。
	VGO_UPDATE_RENDERBUFFER	各オブジェクトのレンダリングバッファを更新します。

%href
vgo_Redraw
vgo_Refresh
vgo_Draw
vgo_RenderBuffer
vgo_GetUpdateFlag

%dll
vgo

%group
画面更新

%index
vgo_GetUpdateFlag
操作先ウィンドウの更新フラグを返す

%prm
()
%inst

%href
vgo_Redraw
vgo_Refresh
vgo_Draw
vgo_RenderBuffer
vgo_SetUpdateFlag
vgo_DrawMode

%dll
vgo

%group
画面更新

%index
vgo_GetObjCount
オブジェクト数を返す

%prm
()
%inst

%dll
vgo

%group
情報取得

%index
vgo_HitTest
任意位置のオブジェクトIDを返す

%prm
( px, py)
px 位置X
py 位置Y

%inst
オブジェクトが無かった場合は -1 を返します。

%dll
vgo

%group
情報取得

%index
vgo_GetClientPosX
クライアント領域の基準位置X(倍寸)を返す

%prm
( opt)
opt 取得オプション

%inst
取得オプションに 1 を指定すると原寸を返します。

%href
vgo_GetClientPosY
vgo_GetClientSizeX
vgo_GetClientSizeY

%dll
vgo

%group
情報取得

%index
vgo_GetClientPosY
クライアント領域の基準位置Y(倍寸)を返す

%prm
( opt)
opt 取得オプション

%inst
取得オプションに 1 を指定すると原寸を返します。

%href
vgo_GetClientPosX
vgo_GetClientSizeX
vgo_GetClientSizeY

%dll
vgo

%group
情報取得

%index
vgo_GetClientSizeX
クライアント領域のサイズX(倍寸)を返す

%prm
( opt)
opt 取得オプション

%inst
取得オプションに 1 を指定すると原寸を返します。

%href
vgo_GetClientPosX
vgo_GetClientPosY
vgo_GetClientSizeY

%dll
vgo

%group
情報取得

%index
vgo_GetClientSizeY
クライアント領域のサイズY(倍寸)を返す

%prm
( opt)
opt 取得オプション

%inst
取得オプションに 1 を指定すると原寸を返します。

%href
vgo_GetClientPosX
vgo_GetClientPosY
vgo_GetClientSizeX

%dll
vgo

%group
情報取得

%index
vgo_SetTimer
タイマーを設定

%prm
timerID, timeout
timerID タイマーを識別するID
timeout タイムアウトまでの時間(ms)

%inst
タイマーはタイムアウトすると vgo_SetTimerClbk で指定したラベルが呼び出されます。
vgoClbkState もしくは wparam でタイマーIDを参照できます。

タイムアウトしたタイマーは自動で削除されます。
タイムアウト前にプログラムが終了した場合は全て自動で削除されます。

%href
vgo_SetTimerClbk
vgo_KillTimer

%dll
vgo

%group
タイマー

%index
vgo_KillTimer
タイマーを削除

%prm
timerID
timerID タイマーを識別するID

%inst
タイムアウト前に削除したい場合に使用します。

タイムアウトしたタイマーは自動で削除されます。
タイムアウト前にプログラムが終了した場合は全て自動で削除されます。

%href
vgo_SetTimerClbk
vgo_SetTimer

%dll
vgo

%group
タイマー

%index
vgo_DDAccept
ドラッグアンドドロップを設定

%prm
label
label ラベル、もしくは値

%inst
ドラッグアンドドロップの設定をします。
これはウィンドウごとに設定できます。

label にラベルを指定するとドラッグアンドドロップを有効化し、ファイルがドロップされた時にそのラベルを呼び出します。
ラベル以外に以下の値を指定できます。
	0	無効化
	1	有効化

コールバック変数は次の値を取ります。
	vgoClbkID		wparam
	vgoClbkState	ファイル数
	vgoClbkX		ドロップ位置X
	vgoClbkY		ドロップ位置Y

%href
vgo_GetDDFiles
vgoClbkID
vgoClbkState
vgoClbkX
vgoClbkY

%dll
vgo

%group
ドラッグアンドドロップ

%index
vgo_GetDDFiles
ドラッグアンドドロップされたファイルのリストを得る

%prm
retFile, opt
retFile 結果を返す変数か配列変数
opt オプション

%inst
ドラッグアンドドロップされたファイルのリストを得ます。
この命令はドラッグアンドドロップコールバックの間のみ使用できます。

オプションが 0 の場合は改行区切りで返します。
オプションが 1 の場合は配列で返します。

%href
vgo_DDAccept

%dll
vgo

%group
ドラッグアンドドロップ

%index
vgoID
最後に生成したオブジェクトID

%prm

%inst
最後に生成したオブジェクトIDが格納されています。
オブジェクト生成時に stat にもオブジェクトIDが返りますが、他の命令で変化する場合があります。
これは次にオブジェクトが生成されるまで維持されます。

%href
vgo_Button
vgo_Chkbox
vgo_Combox
vgo_MenuPanel
vgo_MenuBar
vgo_StatusPanel
vgo_StatusBar
vgo_CaptionPanel
vgo_FlatBar
vgo_VScrollbar
vgo_HScrollbar
vgo_VTrackbar
vgo_HTrackbar
vgo_StaticText
vgo_Input
vgo_Mesbox
vgo_Listbox

%dll
vgo 参照用変数

%group
vgo 参照用変数

%index
vgoCmdRet
vgo_SendCmdの返り値

%prm

%inst
vgo_SendCmd の返り値が格納されています。
コマンドによって整数、実数、文字列、それらの配列など型が変わります。

%href
vgo_SendCmd

%dll
vgo 参照用変数

%group
vgo 参照用変数

%index
vgoClbkID
コールバック時のID

%prm

%inst
IDなどが格納されています。
コールバック要因によって格納される値が変わります。

%href
vgoClbkState
vgoClbkX
vgoClbkY
vgo_SetWMClbk
vgo_SetDrawClbk
vgo_SetLayerClbk
vgo_SetSizingClbk
vgo_SetScalingClbk
vgo_SetTimerClbk
vgo_SetActionClbk
vgo_CallActionClbk
vgo_DDAccept
vgo_ShowPopupMenu
vgo_MenuPanel
vgo_MenuBar

%dll
vgo 参照用変数

%group
vgo 参照用変数

%index
vgoClbkState
コールバック時の状態値

%prm

%inst
状態値などが格納されています。
コールバック要因によって格納される値が変わります。

%href
vgoClbkID
vgoClbkX
vgoClbkY
vgo_SetWMClbk
vgo_SetDrawClbk
vgo_SetLayerClbk
vgo_SetSizingClbk
vgo_SetScalingClbk
vgo_SetTimerClbk
vgo_SetActionClbk
vgo_CallActionClbk
vgo_DDAccept
vgo_ShowPopupMenu
vgo_MenuPanel
vgo_MenuBar

%dll
vgo 参照用変数

%group
vgo 参照用変数

%index
vgoClbkX
コールバック時のX値

%prm

%inst
座標値などが格納されています。
コールバック要因によって格納される値が変わります。

%href
vgoClbkID
vgoClbkState
vgoClbkY
vgo_SetSizingClbk
vgo_SetActionClbk
vgo_ShowPopupMenu
vgo_MenuBar
vgo_MenuPanel
vgo_DDAccept

%dll
vgo 参照用変数

%group
vgo 参照用変数

%index
vgoClbkY
コールバック時のY値

%prm

%inst
座標値などが格納されています。
コールバック要因によって格納される値が変わります。

%href
vgoClbkID
vgoClbkState
vgoClbkX
vgo_SetSizingClbk
vgo_SetActionClbk
vgo_ShowPopupMenu
vgo_MenuBar
vgo_MenuPanel
vgo_DDAccept

%dll
vgo 参照用変数

%group
vgo 参照用変数

%index
vgoWinX
画面の描画エリアXサイズ（原寸）

%prm

%inst
現在の操作先ウィンドウのクライアントサイズ（原寸）が格納されています。
これはvgoのクライアント領域ではなく、ウィンドウのクライアント領域です。
標準マクロの ginfo_winx, ginfo_winy は操作先ウィンドウのクライアントサイズ（倍寸）になります。

%href
vgoWinY

%dll
vgo 参照用変数

%group
vgo 参照用変数

%index
vgoWinY
画面の描画エリアYサイズ（原寸）

%prm

%inst
現在の操作先ウィンドウのクライアントサイズ（原寸）が格納されています。
これはvgoのクライアント領域ではなく、ウィンドウのクライアント領域です。
標準マクロの ginfo_winx, ginfo_winy は操作先ウィンドウのクライアントサイズ（倍寸）になります。

%href
vgoWinX

%dll
vgo 参照用変数

%group
vgo 参照用変数

%index
vgo_ScreenName
操作先ウィンドウに名前を付ける

%prm
name
name ウィンドウの名前

%inst
操作先ウィンドウに名前を付けます。
コンフィグにその名前が登録されていれば位置などを適用します。
終了時、コンフィグにこの名前を使って位置やサイズが書き込まれます。
コンフィグでの名前は screen.name になります。

%href
vgo_LoadConfig
vgo_SaveConfig

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_LoadConfig
コンフィグファイル名を設定し読み込む

%prm
file
file コンフィグファイル名

%inst
この命令を実行し、コンフィグファイルが既に存在する場合は読み込みが行われます。
これにより vgo_AddConfig で登録した変数にコンフィグファイル内の値が書き込まれます。

%href
vgo_SaveConfig
vgo_SetConfigDirectory
vgo_ScreenName
vgo_EncryptConfig
vgo_AddConfig
vgo_AddFreeConfig

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_SaveConfig
コンフィグを書き出す

%prm

%inst
初期設定ではプログラムの開始時のディレクトリに書き出します。
このディレクトリは vgo_SetConfigDirectory で変更できます。

%href
vgo_LoadConfig
vgo_SetConfigDirectory
vgo_ConfigAutoSave
vgo_ScreenName
vgo_EncryptConfig

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_SetConfigDirectory
コンフィグの読み書き先を設定

%prm
directory, flag
directory ディレクトリ
flag ディレクトリが見つからなかった場合の処理

%inst
コンフィグファイルの読み書き先を設定します。

ディレクトリに "" を指定すると開始時のディレクトリが使用されます。
初期値は "" です。

ディレクトリが見つからなかった場合の処理は以下の値を指定します。
	-1	なにもしない、起動時のデフォルトフォルダを指定します。
	0	確認ダイアログを出し、Yesなら生成します。
	1	問答無用で生成します。

%href
vgo_LoadConfig
vgo_SaveConfig
vgo_ConfigAutoSave
vgo_EncryptConfig

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_ConfigAutoSave
コンフィグの自動保存設定

%prm
flag
flag 自動保存フラグ

%inst
自動保存フラグは以下の値を指定します。
	0	しない
	1	する(初期値)

%href
vgo_SaveConfig
vgo_SetConfigDirectory
vgo_EncryptConfig

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_EncryptConfig
コンフィグの暗号化設定

%prm
flag, key
flag 暗号化フラグ
key 暗号化用のキー文字列

%inst
暗号化フラグは以下の値を指定します。
	0	しない(初期値)
	1	する

暗号化用のキー文字列は任意の文字列を指定できます。
暗号化を使用する場合は vgo_LoadConfig で読み込む前にキー文字列を設定する必要があります。

%href
vgo_LoadConfig
vgo_SaveConfig
vgo_ConfigAutoSave
vgo_SetConfigDirectory

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_AddConfig
コンフィグに変数を登録

%prm
var, name, arrayNum
var 登録する変数
name 登録名、省略時は変数名がそのまま使用されます。
arrayNum 有効配列要素数

%inst
有効配列要素数は例えば変数の配列要素が 0~9 の10個の場合、
5 を指定すると 0~4 の5個だけ読み書きするようになります。
登録時に元配列要素よりも有効配列要素数のほうが大きい場合はエラーとなります。
0 を指定すると可変長扱いになります。

%href
vgo_LoadConfig
vgo_AddFreeConfig
vgo_ConfigExists

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_AddFreeConfig
コンフィグに自由項目を登録

%prm
name, data
name 登録名
data 内容を格納した配列変数

%inst
自由項目は変数の紐付けを行わずに登録します。
値の取得や更新を手動で行う必要があります。

%href
vgo_LoadConfig
vgo_AddConfig
vgo_GetConfigValue
vgo_ConfigExists

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_GetConfigValue
コンフィグから値を取り出す

%prm
name, ret
name 登録名
data 値を返す配列変数

%inst

%href
vgo_AddFreeConfig
vgo_ConfigExists

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_ConfigExists
コンフィグに任意の項目があるか探す

%prm
( name)
name 登録名

%inst
存在しない場合は 0 を返します。
vgo_LoadConfig よりも前に存在する場合は &1 を返します。
vgo_LoadConfig で値が読み込まれた場合は &2 を返します。

つまり以下のような値になります。
0	無い
1	有る 初期設定上で有る + 設定ファイルに無い（手動で削除された、もしくは新規追加された設定項目）
2	有る 初期設定上で無い + 設定ファイルに有る（ゲスト的な項目、手動で書き換えて発生したゴミ等）
3	有る 初期設定上で有る + 設定ファイルに有る

vgo_ScreenName によるウィンドウ情報系は 2 に含まれるため扱いに注意が必要です。

%href
vgo_AddConfig
vgo_AddFreeConfig
vgo_GetConfigValue
vgo_GetNameList

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_GetConfigCount
コンフィグの登録数を返す

%prm
()
%inst

%href
vgo_GetNameList

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_GetNameList
コンフィグの登録名のリストを得る

%prm
ret, filter, opt
ret 結果を返す変数か配列変数
filter フィルター
opt オプション

%inst
フィルターは以下の値を指定します。
	0	全て
	1~3	それぞれ vgo_ConfigExists の値と一致するもの

オプションは以下の値を指定します。
	0	配列で返す
	1	改行区切りで返す

%href
vgo_ConfigExists
vgo_GetConfigCount

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgo_PrintConfig
(デバッグ用) コンフィグの内容を文字出力

%prm

%inst

%dll
vgo コンフィグ

%group
コンフィグ

%index
vgomenu_NewMenu
メニューを生成

%prm
ret
ret 生成したメニューIDを返す変数

%inst

%href
vgomenu_DelMenu
vgomenu_AddItem
vgomenu_MenuExists
vgomenu_GetMenuItemNum
vgo_PreparePopupWindow
vgo_ShowPopupMenu
vgo_MenuPanel
vgo_MenuBar

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_DelMenu
メニューを削除

%prm
menuID
menuID メニューID

%inst

%href
vgomenu_NewMenu
vgomenu_MenuExists
vgomenu_AddItem

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_AddItem
メニューにアイテムを追加

%prm
menuID, string, itemID, itemState, bindVar
menuID メニューID
string アイテムに表示する文字列
itemID アイテムID
itemState アイテムの状態
bindVar 紐付ける変数（省略可能）

%inst
メニューにアイテムを追加、もしくは更新します。
stat にアイテムインデックスを返します。

メニューに表示する文字列は &N などを入れるとキー文字としてキーボードで選択できるようになります。

"hoge	piyp" のように tab を挟むと右側にも文字列を表示できます。
これは Ctrl+A などのショートカットキー表示用で、実際のキー入力とリンクした動作はありません。
あくまでも表示用です。

アイテムIDはアイテムを認識するためのユニークな値を $000000 ~ $FFFFFF (0 ~ 16777215) の範囲で指定します。
アイテムIDにメニューIDを指定するとサブメニューになります。

アイテムの状態は以下の値を一つ指定します。
	VGOMENU_DEFAULT		通常のアイテム（省略可能）
	VGOMENU_SEPARATOR	セパレータ（この場合も itemID はユニークな値を指定する）
	VGOMENU_CHECKBOX	チェックボックス付き

以下の値は追加で組み合わせられます。
	VGOMENU_DISABLE		無効状態

紐付ける変数は VGOMENU_CHECKBOX を指定した場合に任意の変数を紐付けます。
紐付けない場合はアイテム内部の変数を使用します。

アイテムは基本的に追加順に並びます。
メニュー内に既に存在するアイテムIDを指定した場合、そのアイテムを更新します。
異なるメニューであれば同じアイテムIDを登録できますが、選択時にどちらも同じ値を返すようになるため非推奨です。

%href
vgomenu_NewMenu
vgomenu_DelMenu
vgomenu_MenuExists
vgomenu_BindVariable
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemIndexFromItemID
vgomenu_SetItemString
vgomenu_SetItemState

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_MenuExists
メニューが存在するか調べる

%prm
( menuID)
menuID メニューID

%inst
存在する場合は 1 を返します。

%href
vgomenu_NewMenu
vgomenu_DelMenu
vgomenu_AddItem
vgomenu_GetMenuItemNum

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetMenuItemNum
メニューのアイテム数を返す

%prm
( menuID)
menuID メニューID

%inst

%href
vgomenu_NewMenu
vgomenu_MenuExists
vgomenu_GetItemIndexFromIndex

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetItemIndexFromIndex
アイテムインデックスを登録インデックスから得る

%prm
( menuID, index)
menuID メニューID
index 登録インデックス

%inst
登録インデックスはメニューにアイテムを登録した時の順番で 0 から始まる連番です。
アイテムインデックスはアイテムの状態を取得/変更するのに必要です。

これは vgomenu_GetMenuItemNum で対象メニューのアイテム数を取得し、全アイテム操作を想定した命令です。
通常は vgomenu_GetItemIndexFromItemID での取得を推奨します。

%href
vgomenu_AddItem
vgomenu_GetMenuItemNum
vgomenu_GetItemIndexFromItemID
vgomenu_GetItemString
vgomenu_GetItemString2
vgomenu_GetItemKey
vgomenu_GetItemID
vgomenu_GetItemState
vgomenu_SetItemString
vgomenu_SetItemState
vgomenu_GetItemType

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetItemIndexFromItemID
アイテムインデックスをアイテムIDから得る

%prm
( menuID, itemID)
menuID メニューID
itemID アイテムID

%inst
メニューにアイテムを登録した時のアイテムIDから取得します。
アイテムインデックスはアイテムの状態を取得/変更するのに必要です。

%href
vgomenu_AddItem
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemString
vgomenu_GetItemString2
vgomenu_GetItemKey
vgomenu_GetItemID
vgomenu_GetItemState
vgomenu_SetItemString
vgomenu_SetItemState
vgomenu_GetItemType

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetItemString
アイテムの文字列(左側)を返す

%prm
( itemIndex)
itemIndex アイテムインデックス

%inst

%href
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemIndexFromItemID
vgomenu_SetItemString
vgomenu_GetItemString2
vgomenu_GetItemKey

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetItemString2
アイテムの文字列(右側)を返す

%prm
( itemIndex)
itemIndex アイテムインデックス

%inst

%href
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemIndexFromItemID
vgomenu_GetItemString
vgomenu_GetItemKey

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetItemKey
アイテムのキー文字を返す

%prm
( itemIndex)
itemIndex アイテムインデックス

%inst
キー文字は文字列で設定した &N などの文字です。

%href
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemIndexFromItemID
vgomenu_GetItemString
vgomenu_GetItemString2

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetItemID
アイテムのアイテムIDを返す

%prm
( itemIndex)
itemIndex アイテムインデックス

%inst

%href
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemIndexFromItemID

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetItemState
アイテムの状態を返す

%prm
( itemIndex)
itemIndex アイテムインデックス

%inst

%href
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemIndexFromItemID
vgomenu_SetItemState
vgomenu_GetItemType
vgomenu_ItemEnable

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetItemType
アイテムのタイプを返す

%prm
( itemIndex)
itemIndex アイテムインデックス

%inst
以下のいずれかの値を返します。
	VGOMENU_DEFAULT
	VGOMENU_SEPARATOR
	VGOMENU_CHECKBOX

%href
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemIndexFromItemID
vgomenu_SetItemState
vgomenu_GetItemState

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_GetItemValue
アイテムの値を返す

%prm
( itemIndex)
itemIndex アイテムインデックス

%inst
アイテムの値、もしくは紐付けた変数の値を返します。

%href
vgomenu_SetItemValue

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_SetItemString
アイテムの文字列(左側)を設定

%prm
itemIndex, string
itemIndex アイテムインデックス
string 文字列

%inst
左側の文字列のみ変更できます。
キー文字や右側も変更する場合は vgomenu_AddItem で丸ごと変更してください。

%href
vgomenu_AddItem
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemIndexFromItemID
vgomenu_GetItemString

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_SetItemState
アイテムの状態を設定

%prm
itemIndex, state
itemIndex アイテムインデックス
state アイテムの状態

%inst
アイテムの状態は vgomenu_AddItem を確認してください。

%href
vgomenu_AddItem
vgomenu_GetItemIndexFromIndex
vgomenu_GetItemIndexFromItemID
vgomenu_GetItemState
vgomenu_GetItemType
vgomenu_ItemEnable

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_SetItemValue
アイテムの値を設定

%prm
itemIndex, value
itemIndex アイテムインデックス
value 設定する値

%inst
アイテムの値、もしくは紐付けた変数の値を変更します。

%href
vgomenu_GetItemValue

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_ItemEnable
アイテムの有効状態を設定

%prm
itemIndex, flag
itemIndex アイテムインデックス
flag 有効状態

%inst
有効状態は 0 で無効、1 で有効になります。
これはアイテム状態の VGOMENU_DISABLE を操作します。

%href
vgomenu_GetItemState
vgomenu_SetItemState

%dll
vgomenu メニュー

%group
vgomenu

%index
vgomenu_BindVariable
アイテムに変数を紐付け

%prm
itemIndex, var
itemIndex アイテムインデックス
var 紐付ける変数

%inst
アイテムに変数を紐付けます。

%href
vgomenu_AddItem

%dll
vgomenu メニュー

%group
vgomenu

%index
vgodraw_RenderHSP
vgoの描画命令の出力先を操作先HSPバッファに設定

%prm

%inst
この命令の実行後はvgoutl/vgodraw系命令が全てHSPバッファに対して行われます。
描画処理を行った後は vgodraw_RenderGDIP でGDIPバッファに戻すようにしてください。

%href
vgodraw_RenderGDIP

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_RenderGDIP
vgoの描画命令の出力先を操作先GDIPバッファに設定

%prm

%inst
この命令の実行後はvgoutl/vgodraw系命令が全てGDIPバッファに対して行われます。
vgodraw_RenderHSP で描画処理を行った後はこの命令で戻すようにしてください。

%href
vgodraw_RenderHSP

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_SetScaling
vgodraw内で使用するスケーリング値を設定

%prm
scaling
scaling スケーリング値 (50~300)

%inst

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_LineWidth
線の幅を設定

%prm
width
width 幅 (1.0~n)

%inst

%href
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_DrawLines
vgodraw_DrawPoly
vgodraw_DrawCurve
vgodraw_DrawClosedCurve
vgodraw_DrawArc
vgodraw_DrawPie
vgodraw_Line
vgodraw_Boxd
vgodraw_PathBox
vgodraw_Circle

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_LineStyle
線のスタイルを設定

%prm
style
style スタイル

%inst
スタイルは以下の値を一つ指定します。
	0	Solid
	1	Dash
	2	Dot
	3	DashDot
	4	DashDotDot

%href
vgodraw_LineWidth
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_DrawLines
vgodraw_DrawPoly
vgodraw_DrawCurve
vgodraw_DrawClosedCurve
vgodraw_DrawArc
vgodraw_DrawPie
vgodraw_Line
vgodraw_Boxd
vgodraw_PathBox
vgodraw_Circle

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_LineJoin
折れ線の結合処理を設定

%prm
lineJoin
lineJoin 折れ線の結合処理

%inst
結合処理は以下の値を一つ指定します。
	0	Miter (尖らせますが角度が浅い部分は極端に出っ張ります)
	1	Bevel (四角いマジックで描いたような角が出ます)
	2	Round (丸み)
	3	MiterClipped (基本はMiter、角度が浅い部分はBevelになります)

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineMode
vgodraw_LineColor
vgodraw_DrawLines
vgodraw_DrawPoly
vgodraw_DrawCurve
vgodraw_DrawClosedCurve
vgodraw_DrawArc
vgodraw_DrawPie
vgodraw_Line
vgodraw_Boxd
vgodraw_PathBox
vgodraw_Circle

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_LineMode
線の相対的な配置を設定

%prm
lineMode
lineMode 多角形描画時の線の相対的な配置

%inst
以下の値を一つ指定します。
	0	AlignmentCenter (中心)
	1	AlignmentInset (内側に収める)

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineColor
vgodraw_DrawLines
vgodraw_DrawPoly
vgodraw_DrawCurve
vgodraw_DrawClosedCurve
vgodraw_DrawArc
vgodraw_DrawPie
vgodraw_Line
vgodraw_Boxd
vgodraw_PathBox
vgodraw_Circle

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_LoadImage
画像をファイルから読み込む

%prm
file
file ファイル名

%inst
memfile も使用できます。
この命令にはスケーリングや座標オフセットが適用されません。

%href
vgodraw_LoadImageFromMemory

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_LoadImageFromMemory
画像をメモリから読み込む

%prm
var, size
var データを格納した変数
size データサイズ

%inst
この命令にはスケーリングや座標オフセットが適用されません。

%href
vgodraw_LoadImage

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_CreateBuffer
GDIPバッファを作成/再作成

%prm
gdipBufferID, width, height
gdipBufferID GDIPバッファID
width 幅
height 高さ

%inst
既に存在するGDIPバッファIDを指定すると再作成します。
-1 を指定すると新規作成します。

作成/再作成されたGDIPバッファIDは操作先状態になります。

%href
vgodraw_DeleteBuffer
vgodraw_SelectBuffer
vgodraw_ClearBuffer

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_DeleteBuffer
GDIPバッファを削除

%prm
gdipBufferID
gdipBufferID GDIPバッファID

%inst

%href
vgodraw_CreateBuffer
vgodraw_SelectBuffer
vgodraw_ClearBuffer

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_SelectBuffer
操作先GDIPバッファを設定

%prm
gdipBufferID
gdipBufferID GDIPバッファID

%inst

%href
vgodraw_CreateBuffer
vgodraw_DeleteBuffer
vgodraw_ClearBuffer

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_ClearBuffer
GDIPバッファをゼロクリア

%prm
gdipBufferID
gdipBufferID GDIPバッファID

%inst

%href
vgodraw_CreateBuffer
vgodraw_DeleteBuffer
vgodraw_SelectBuffer

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_AlphaBlend
アルファブレンド値を設定

%prm
blendRate
blendRate アルファ値 (0.0~1.0)

%inst
これは vgodraw_Gcopy などの画像をコピーする際に適用されます。
線や塗りつぶしは個々のα値を設定する必要があります。

%href
vgodraw_Gcopy
vgodraw_Gzoom
vgodraw_GcopyFromGDIP
vgodraw_GzoomFromGDIP
vgoutl_ResetCopyMode
vgoutl_CopyModeAlpha

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Pos
スケーリングを適用した位置を設定

%prm
px, py
px 位置X(原寸)
py 位置Y(原寸)

%inst
スケーリングを適用しない位置設定は標準命令の pos を使用してください。

%href
vgodraw_UseScreenOffset
vgodraw_ResetOffset

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_UseScreenOffset
現在のウィンドウ状態を座標オフセットに設定

%prm

%inst
スクロール値とクライアント基準位置をオフセットにします。
描画処理が終わったら vgodraw_ResetOffset でオフセットをリセットしてください。

%href
vgodraw_Pos
vgodraw_ResetOffset

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_ResetOffset
座標オフセットをリセット

%prm

%inst
vgodraw_UseScreenOffset で設定したオフセットをリセットします。

%href
vgodraw_Pos
vgodraw_UseScreenOffset

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_PushClientClip
クライアント領域でクリップ

%prm

%inst
現在のクライアント領域をそのままクリップします。
描画処理が終わったら必ず vgodraw_PopClip で解除してください。

%href
vgodraw_PushClip
vgodraw_PopClip
vgodraw_ClipEnable

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_PushClip
任意範囲でクリップ

%prm
px, py, sx, sy
px 位置X(倍寸)
py 位置Y(倍寸)
sx サイズX(倍寸)
sy サイズY(倍寸)

%inst
クリップは描画範囲を制限し、はみ出した分を描画しないようにします。
描画処理が終わったら必ず vgodraw_PopClip で解除してください。

%href
vgodraw_PushClientClip
vgodraw_PopClip
vgodraw_ClipEnable

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_PopClip
クリップを解除

%prm

%inst
vgodraw_PushClientClip や vgodraw_PushClip のクリップを解除します。
これらの命令と必ずセットで使用してください。
また解除するときは必ず同じ操作先バッファで行ってください。

%href
vgodraw_PushClientClip
vgodraw_PushClip
vgodraw_ClipEnable

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_ClipEnable
クリップの有効化設定

%prm
flag
flag フラグ

%inst
フラグに 0 を指定すると無効化、1 で有効化します。

%href
vgodraw_PushClientClip
vgodraw_PushClip
vgodraw_PopClip

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Color
各色を一括指定

%prm
r, g, b
r 赤 (0~255)
g 緑 (0~255)
b 青 (0~255)

%inst
個別に設定する場合は以下の命令を使用してください。
vgodraw_LineColor
vgodraw_FillColor
vgodraw_TextColor
vgodraw_TextBkColor

%href
vgodraw_LineColor
vgodraw_FillColor
vgodraw_TextColor
vgodraw_TextBkColor

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_LineColor
線の色を設定

%prm
rgb, alpha
rgb 色 ($RRGGBB)
alpha α値 (0~255)

%inst
線の色を設定します。

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_Color
vgodraw_FillColor
vgodraw_TextColor
vgodraw_TextBkColor
vgodraw_DrawLines
vgodraw_Line
vgodraw_DrawLines
vgodraw_DrawPoly
vgodraw_DrawCurve
vgodraw_DrawClosedCurve
vgodraw_DrawArc
vgodraw_DrawPie
vgodraw_Boxd
vgodraw_Circle
vgodraw_PathBox

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_FillColor
塗り色を設定

%prm
rgb, alpha
rgb 色 ($RRGGBB)
alpha α値 (0~255)

%inst
塗りつぶしの色の設定します。

%href
vgodraw_Color
vgodraw_LineColor
vgodraw_TextColor
vgodraw_TextBkColor
vgodraw_FillPoly
vgodraw_FillClosedCurve
vgodraw_FillPie
vgodraw_Boxf
vgodraw_PathBox
vgodraw_Circle

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_TextColor
テキストの色を設定

%prm
rgb, alpha, selrgb, selAlpha
rgb テキスト色 ($RRGGBB)
alpha テキスト色のα値 (0~255)
selrgb 選択部分のテキスト色 ($RRGGBB)
selAlpha 選択部分のテキスト色のα値 (0~255)

%inst
vgodraw_Mes, vgodraw_LineMes, vgodraw_TabsMes のテキスト色を設定します。
α値は vgodraw_GdipMes, vgodraw_GdipLineMes で使用されます。

選択部分の色は vgodraw_TabsMes で使用されます。

%href
vgodraw_Color
vgodraw_LineColor
vgodraw_FillColor
vgodraw_TextBkColor
vgodraw_Mes
vgodraw_LineMes
vgodraw_TabsMes
vgodraw_GdipMes
vgodraw_GdipLineMes

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_TextBkColor
テキストの背景色を設定

%prm
rgb, alpha, selrgb, selAlpha
rgb テキスト背景色 ($RRGGBB)
alpha 現バージョンではこのα値は無視されます。
selrgb 選択部分のテキスト背景色 ($RRGGBB)
selAlpha 現バージョンではこのα値は無視されます。

%inst
テキスト背景色は vgodraw_Mes, vgodraw_LineMes, vgodraw_TabsMes で使用されます。
rgb と selrgb は -1 を指定すると透過扱いになりますが、GDIPバッファに vgodraw_Mes, vgodraw_LineMes, vgodraw_TabsMes で描画する場合は想定した描画結果になりません。
vgodraw_GdipMes, vgodraw_GdipLineMes を使用するか背景色を指定する必要があります。

%href
vgodraw_Color
vgodraw_LineColor
vgodraw_FillColor
vgodraw_TextColor
vgodraw_Mes
vgodraw_LineMes
vgodraw_TabsMes
vgodraw_GdipMes
vgodraw_GdipLineMes

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_DrawLines
折れ線を描画(a2d互換)

%prm
data, num
data 座標を格納した配列変数
num データ数

%inst

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_Line
vgodraw_DrawPoly
vgodraw_FillPoly

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_DrawPoly
多角形の線を描画(a2d互換)

%prm
data, num
data 座標を格納した配列変数
num データ数

%inst

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_DrawLines
vgodraw_FillPoly

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_FillPoly
多角形を塗る(a2d互換)

%prm
data, num
data 座標を格納した配列変数
num データ数

%inst

%href
vgodraw_FillColor
vgodraw_DrawLines
vgodraw_DrawPoly

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_DrawCurve
曲線を描画(a2d互換)

%prm
data, num, tension
data 座標を格納した配列変数
num データ数
tension 曲線強度

%inst

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_DrawClosedCurve
vgodraw_FillClosedCurve

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_DrawClosedCurve
閉じた曲線を描画(a2d互換)

%prm
data, num, tension
data 座標を格納した配列変数
num データ数
tension 曲線強度

%inst

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_DrawCurve
vgodraw_FillClosedCurve

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_FillClosedCurve
閉じた曲線を塗る(a2d互換)

%prm
data, num, tension
data 座標を格納した配列変数
num データ数
tension 曲線強度

%inst

%href
vgodraw_FillColor
vgodraw_DrawCurve
vgodraw_DrawClosedCurve

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_DrawArc
円弧を描画(a2d互換)

%prm
px, py, width, height, startA, sweepA
px 左上X
py 左上Y
width 幅
height 高さ
startA 開始角度
sweepA 終了角度

%inst

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_DrawPie
vgodraw_FillPie

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_DrawPie
扇形を描画(a2d互換)

%prm
px, py, width, height, startA, sweepA
px 左上X
py 左上Y
width 幅
height 高さ
startA 開始角度
sweepA 終了角度

%inst

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_DrawArc
vgodraw_FillPie

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_FillPie
扇形を塗る(a2d互換)

%prm
px, py, width, height, startA, sweepA
px 左上X
py 左上Y
width 幅
height 高さ
startA 開始角度
sweepA 終了角度

%inst

%href
vgodraw_FillColor
vgodraw_DrawArc
vgodraw_DrawPie

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Font
描画用フォントを設定

%prm
name, size, style
name フォント名
size フォントサイズ
style フォントスタイル

%inst

%href
vgodraw_Mes
vgodraw_LineMes
vgodraw_TabsMes
vgodraw_GdipMes
vgodraw_GdipLineMes

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Mes
テキストを描画

%prm
string, width, height
string テキスト
width 幅
height 高さ

%inst
GDIを使用してテキストを描画します。
テキストが幅に収まらない場合は折り返しされます。
高さに収まらない部分はクリップされます。
幅と高さは省略するとほぼ無制限扱いであるため、
標準命令の mes と同じ感覚で使用できます。
折り返しのない vgodraw_LineMes もあります。
GDIPを使用する vgodraw_GdipMes や vgodraw_GdipLineMes もあります。

%href
vgodraw_Font
vgodraw_LineMes
vgodraw_TabsMes
vgodraw_GdipMes
vgodraw_GdipLineMes
vgodraw_TextColor
vgodraw_TextBkColor

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_LineMes
テキストを描画

%prm
string, width, height
string テキスト
width 幅
height 高さ

%inst
GDIを使用してテキストを描画します。
テキストが幅に収まらない場合でも折り返しされません。
高さに収まらない部分はクリップされます。
折り返しのある vgodraw_LineMes もあります。
GDIPを使用する vgodraw_GdipMes や vgodraw_GdipLineMes もあります。

%href
vgodraw_Font
vgodraw_Mes
vgodraw_TabsMes
vgodraw_GdipMes
vgodraw_GdipLineMes
vgodraw_TextColor
vgodraw_TextBkColor

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_TabsMes
タブストップ有りテキストを描画

%prm
string, tabs, width, height, selBegin, selEnd
string テキスト
tabs タブストップを格納した配列変数
width 幅
height 高さ
selBegin 選択開始位置 (文字単位)
selEnd 選択終了位置 (文字単位)

%inst
入力ボックスの副産物。

GDIを使用してテキストを描画します。
タブストップ付きのテキストを描画します。

%href
vgodraw_Font
vgodraw_Mes
vgodraw_LineMes
vgodraw_GdipMes
vgodraw_GdipLineMes
vgodraw_TextColor
vgodraw_TextBkColor

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_GdipMes
テキストを描画

%prm
string, width, height
string テキスト
width 幅
height 高さ

%inst
GDIPを使用してテキストを描画します。
テキスト色はα値も有効になります。
テキスト背景色は無視されます。
半強制的にアンチエイリアスが掛かるため、フォントによっては少し汚くなります。
絵文字など、一部のUnicodeの文字が表示できません。

テキストが幅に収まらない場合は折り返しされます。
高さに収まらない部分はクリップされます。
幅と高さは省略するとほぼ無制限扱いであるため、
標準命令の mes と同じ感覚で使用できます。
折り返しのない vgodraw_GdipLineMes もあります。
GDIを使用する vgodraw_Mes や vgodraw_LineMes もあります。

%href
vgodraw_Font
vgodraw_Mes
vgodraw_LineMes
vgodraw_TabsMes
vgodraw_GdipLineMes
vgodraw_TextColor
vgodraw_TextBkColor

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_GdipLineMes
テキストを描画

%prm
string, width, height
string テキスト
width 幅
height 高さ

%inst
GDIPを使用してテキストを描画します。
テキストが幅に収まらない場合でも折り返しされません。
高さに収まらない部分はクリップされます。
折り返しのある vgodraw_GdipMes もあります。
GDIを使用する vgodraw_Mes や vgodraw_LineMes もあります。

%href
vgodraw_Font
vgodraw_Mes
vgodraw_LineMes
vgodraw_TabsMes
vgodraw_GdipMes
vgodraw_TextColor
vgodraw_TextBkColor

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Line
線を描画

%prm
endX, endY, startX, startY
endX 終点X
endY 終点Y
startX 始点X
startY 始点Y

%inst
2回目以降は startX, startY を省略できます。
endX, endY のみで連続して線を描画できますが、折れ線部分の結合処理は行われません。
折れ線を描画する場合は vgodraw_DrawLines を推奨します。

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_DrawLines

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Boxf
四角形を塗る

%prm
px1, py1, px2, py2
px 左上X
py 左上Y
px2 右下X
py2 右下Y

%inst
標準命令の boxf とほぼ同じ感覚で使用できます。
塗りつぶさない vgodraw_Boxd もあります。

%href
vgodraw_FillColor
vgodraw_Boxd
vgodraw_PathBox

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Boxd
四角形を描画する

%prm
px1, py1, px2, py2
px 左上X
py 左上Y
px2 右下X
py2 右下Y

%inst
標準命令の boxf で塗りつぶさず枠線を描画するようなものです。
塗りつぶす vgodraw_Boxf もあります。

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_Boxf
vgodraw_PathBox

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_PathBox
丸みのある四角形を描画

%prm
px1, py1, px2, py2, rpx, rate, fill, rFlag
px1 左上X
py1 左上Y
px2 右下X
py2 右下Y
rpx 丸め値 (ピクセル値と思って良い)
rate 丸め率 (普通の丸めなら 0.5 を推奨)
fill 描画フラグ
rFlag 丸め無効化フラグ

%inst
パスを利用して丸みのある四角形を描画します。

丸め値は例えばが 10 であった場合、
各角は上下左右約10ピクセルのあたりから丸め処理が入ります。

丸め率は 0.0~0.5 あたりが無難な丸みを描き、それ以上にすると角ばります。
値の範囲としては 0.0 ~ 1.0 を想定していますがそれ以上以下も指定でき、
変な形を描けるので試してみるのもいいかもしれません。

描画フラグは以下の値を組み合わせて指定します。
	&1	枠を描画する
	&2	塗りつぶす

丸め無効化フラグは以下の値を組み合わせて指定します。
	&1	左上
	&2	右上
	&4	右下
	&8	左下

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_FillColor
vgodraw_Boxf
vgodraw_Boxd

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Circle
円を描画

%prm
px, py, sx, sy, fill
px 左上X
py 左上Y
sx サイズX
sy サイズY
fill 塗りつぶしフラグ
- 0 線のみ
- 1 塗りつぶしのみ
- 2 線+塗りつぶし

%inst
標準命令の circle とほぼ同じ感覚で使用できます。

%href
vgodraw_LineWidth
vgodraw_LineStyle
vgodraw_LineJoin
vgodraw_LineMode
vgodraw_LineColor
vgodraw_FillColor

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Gcopy
HSPバッファから画像コピー

%prm
hspBufferID, srcX, srcY, sizeX, sizeY, filter, srcScaling
hspBufferID HSPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY
filter 補間フラグ
srcScaling ソーススケーリング

%inst
HSPバッファから画像をコピーします。

補間フラグは 0 を指定すると補間無し、1 で補間有りになります。

ソーススケーリングはバッファ側の倍率で 100 が 100% になります。
例えばコピーサイズが 40x40 の場合、

ソーススケーリング 100 は 40x40 のバッファ画像を 40x40 のまま出力します。
画面側のスケーリングが200%だった場合は 40x40 を 80x80 に拡大して出力します。

ソーススケーリング 300 は 120x120 のバッファ画像を 40x40 に縮小して出力します。
画面側のスケーリングが200%だった場合は 120x120 を 80x80 に縮小して出力します。

拡大出力は画像の粗さやぼやけが目立ちますが、縮小はあまり目立たなくなります。

ソーススケーリングはサイズとコピー元位置の両方に影響します。
元位置 srcX=32, srcY=64 の場合、
ソーススケーリング 100 は 32,64 からコピーします。
ソーススケーリング 300 は 96,192 からコピーします。

%href
vgodraw_AlphaBlend
vgodraw_Gzoom
vgodraw_GcopyFromGDIP
vgodraw_GzoomFromGDIP

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_Gzoom
HSPバッファから拡大縮小コピー

%prm
dstSizeX, dstSizeY, hspBufferID, srcX, srcY, sizeX, sizeY, filter, srcScaling
dstSizeX コピー先サイズX
dstSizeY コピー先サイズY
hspBufferID HSPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY
filter 補間フラグ
srcScaling ソーススケーリング

%inst
HSPバッファから画像を拡大縮小コピーします。

補間フラグは 0 を指定すると補間無し、1 で補間有りになります。

ソーススケーリングはバッファ側の倍率で 100 が 100% になります。
例えばコピーサイズが 40x40 の場合、

ソーススケーリング 100 は 40x40 のバッファ画像を 40x40 のまま出力します。
画面側のスケーリングが200%だった場合は 40x40 を 80x80 に拡大して出力します。

ソーススケーリング 300 は 120x120 のバッファ画像を 40x40 に縮小して出力します。
画面側のスケーリングが200%だった場合は 120x120 を 80x80 に縮小して出力します。

拡大出力は画像の粗さやぼやけが目立ちますが、縮小はあまり目立たなくなります。

ソーススケーリングはサイズとコピー元位置の両方に影響します。
元位置 srcX=32, srcY=64 の場合、
ソーススケーリング 100 は 32,64 からコピーします。
ソーススケーリング 300 は 96,192 からコピーします。

%href
vgodraw_AlphaBlend
vgodraw_Gcopy
vgodraw_GcopyFromGDIP
vgodraw_GzoomFromGDIP

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_GcopyFromGDIP
GDIPバッファから画像コピー

%prm
gdipBufferID, srcX, srcY, sizeX, sizeY, filter, srcScaling
gdipBufferID GDIPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY
filter 補間フラグ
srcScaling ソーススケーリング

%inst
GDIPバッファから画像をコピーします。

補間フラグは 0 を指定すると補間無し、1 で補間有りになります。

ソーススケーリングはバッファ側の倍率で 100 が 100% になります。
例えばコピーサイズが 40x40 の場合、

ソーススケーリング 100 は 40x40 のバッファ画像を 40x40 のまま出力します。
画面側のスケーリングが200%だった場合は 40x40 を 80x80 に拡大して出力します。

ソーススケーリング 300 は 120x120 のバッファ画像を 40x40 に縮小して出力します。
画面側のスケーリングが200%だった場合は 120x120 を 80x80 に縮小して出力します。

拡大出力は画像の粗さやぼやけが目立ちますが、縮小はあまり目立たなくなります。

ソーススケーリングはサイズとコピー元位置の両方に影響します。
元位置 srcX=32, srcY=64 の場合、
ソーススケーリング 100 は 32,64 からコピーします。
ソーススケーリング 300 は 96,192 からコピーします。

%href
vgodraw_AlphaBlend
vgodraw_Gcopy
vgodraw_Gzoom
vgodraw_GzoomFromGDIP

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgodraw_GzoomFromGDIP
GDIPバッファから拡大縮小コピー

%prm
dstSizeX, dstSizeY, gdipBufferID, srcX, srcY, sizeX, sizeY, filter, srcScaling
dstSizeX コピー先サイズX
dstSizeY コピー先サイズY
gdipBufferID GDIPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY
filter 補間フラグ
srcScaling ソーススケーリング

%inst
GDIPバッファから画像をコピーします。

補間フラグは 0 を指定すると補間無し、1 で補間有りになります。

ソーススケーリングはバッファ側の倍率で 100 が 100% になります。
例えばコピーサイズが 40x40 の場合、

ソーススケーリング 100 は 40x40 のバッファ画像を 40x40 のまま出力します。
画面側のスケーリングが200%だった場合は 40x40 を 80x80 に拡大して出力します。

ソーススケーリング 300 は 120x120 のバッファ画像を 40x40 に縮小して出力します。
画面側のスケーリングが200%だった場合は 120x120 を 80x80 に縮小して出力します。

拡大出力は画像の粗さやぼやけが目立ちますが、縮小はあまり目立たなくなります。

ソーススケーリングはサイズとコピー元位置の両方に影響します。
元位置 srcX=32, srcY=64 の場合、
ソーススケーリング 100 は 32,64 からコピーします。
ソーススケーリング 300 は 96,192 からコピーします。

%href
vgodraw_AlphaBlend
vgodraw_Gcopy
vgodraw_Gzoom
vgodraw_GcopyFromGDIP

%dll
vgodraw スケーリング描画

%group
vgodraw

%index
vgoutl_RenderHSP
vgoの描画命令の出力先を操作先HSPバッファに設定

%prm

%inst
この命令の実行後はvgoutl/vgodraw系命令が全てHSPバッファに対して行われます。
描画処理を行った後は vgoutl_RenderGDIP でGDIPバッファに戻すようにしてください。

%href
vgoutl_RenderGDIP

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_RenderGDIP
vgoの描画命令の出力先を操作先GDIPバッファに設定

%prm

%inst
この命令の実行後はvgoutl/vgodraw系命令が全てGDIPバッファに対して行われます。
vgoutl_RenderHSP で描画処理を行った後はこの命令で戻すようにしてください。

%href
vgoutl_RenderHSP

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_SetScaling
vgoutl内で使用するスケーリング値を設定

%prm
scaling
scaling スケーリング値 (50~300)

%inst

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_LineWidth
線の幅を設定

%prm
width
width 幅 (1.0~n)

%inst

%href
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_DrawLines
vgoutl_DrawPoly
vgoutl_DrawCurve
vgoutl_DrawClosedCurve
vgoutl_DrawArc
vgoutl_DrawPie
vgoutl_Line
vgoutl_Boxd
vgoutl_PathBox
vgoutl_Circle

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_LineStyle
線のスタイルを設定

%prm
style
style スタイル

%inst
スタイルは以下の値を一つ指定します。
	0	Solid
	1	Dash
	2	Dot
	3	DashDot
	4	DashDotDot

%href
vgoutl_LineWidth
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_DrawLines
vgoutl_DrawPoly
vgoutl_DrawCurve
vgoutl_DrawClosedCurve
vgoutl_DrawArc
vgoutl_DrawPie
vgoutl_Line
vgoutl_Boxd
vgoutl_PathBox
vgoutl_Circle

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_LineJoin
折れ線の結合処理を設定

%prm
lineJoin
lineJoin 折れ線の結合処理

%inst
結合処理は以下の値を一つ指定します。
	0	Miter (尖らせますが角度が浅い部分は極端に出っ張ります)
	1	Bevel (四角いマジックで描いたような角が出ます)
	2	Round (丸み)
	3	MiterClipped (基本はMiter、角度が浅い部分はBevelになります)

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineMode
vgoutl_LineColor
vgoutl_DrawLines
vgoutl_DrawPoly
vgoutl_DrawCurve
vgoutl_DrawClosedCurve
vgoutl_DrawArc
vgoutl_DrawPie
vgoutl_Line
vgoutl_Boxd
vgoutl_PathBox
vgoutl_Circle

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_LineMode
線の相対的な配置を設定

%prm
lineMode
lineMode 多角形描画時の線の相対的な配置

%inst
以下の値を一つ指定します。
	0	AlignmentCenter (中心)
	1	AlignmentInset (内側に収める)

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineColor
vgoutl_DrawLines
vgoutl_DrawPoly
vgoutl_DrawCurve
vgoutl_DrawClosedCurve
vgoutl_DrawArc
vgoutl_DrawPie
vgoutl_Line
vgoutl_Boxd
vgoutl_PathBox
vgoutl_Circle

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_LoadImage
画像をファイルから読み込む

%prm
file
file ファイル名

%inst
memfile も使用できます。
この命令にはスケーリングや座標オフセットが適用されません。

%href
vgoutl_LoadImageFromMemory

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_LoadImageFromMemory
画像をメモリから読み込む

%prm
var, size
var データを格納した変数
size データサイズ

%inst
この命令にはスケーリングや座標オフセットが適用されません。

%href
vgoutl_LoadImage

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_CreateBuffer
GDIPバッファを作成/再作成

%prm
gdipBufferID, width, height
gdipBufferID GDIPバッファID
width 幅
height 高さ

%inst
既に存在するGDIPバッファIDを指定すると再作成します。
-1 を指定すると新規作成します。

作成/再作成されたGDIPバッファIDは操作先状態になります。

%href
vgoutl_DeleteBuffer
vgoutl_SelectBuffer
vgoutl_ClearBuffer

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_DeleteBuffer
GDIPバッファを削除

%prm
gdipBufferID
gdipBufferID GDIPバッファID

%inst

%href
vgoutl_CreateBuffer
vgoutl_SelectBuffer
vgoutl_ClearBuffer

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_SelectBuffer
操作先GDIPバッファを設定

%prm
gdipBufferID
gdipBufferID GDIPバッファID

%inst

%href
vgoutl_CreateBuffer
vgoutl_DeleteBuffer
vgoutl_ClearBuffer

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_ClearBuffer
GDIPバッファをゼロクリア

%prm
gdipBufferID
gdipBufferID GDIPバッファID

%inst

%href
vgoutl_CreateBuffer
vgoutl_DeleteBuffer
vgoutl_SelectBuffer

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_AlphaBlend
アルファブレンド値を設定

%prm
blendRate
blendRate アルファ値 (0.0~1.0)

%inst
これは vgoutl_Gcopy などの画像をコピーする際に適用されます。
線や塗りつぶしは個々のα値を設定する必要があります。

%href
vgoutl_Gcopy
vgoutl_Gzoom
vgoutl_GcopyFromGDIP
vgoutl_GzoomFromGDIP
vgoutl_ResetCopyMode
vgoutl_CopyModeAlpha

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Pos
スケーリングを適用した位置を設定

%prm
px, py
px 位置X(原寸)
py 位置Y(原寸)

%inst
スケーリングを適用しない位置設定は標準命令の pos を使用してください。

%href
vgoutl_UseScreenOffset
vgoutl_ResetOffset
vgoutl_PosScalingX
vgoutl_PosScalingY
vgoutl_PosScalingXf
vgoutl_PosScalingYf
vgoutl_PosArrayCopyScaling
vgoutl_PosOffset

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_UseScreenOffset
現在のウィンドウ状態を座標オフセットに設定

%prm

%inst
スクロール値とクライアント基準位置をオフセットにします。
描画処理が終わったら vgoutl_ResetOffset でオフセットをリセットしてください。

%href
vgoutl_Pos
vgoutl_ResetOffset

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_ResetOffset
座標オフセットをリセット

%prm

%inst
vgoutl_UseScreenOffset で設定したオフセットをリセットします。

%href
vgoutl_Pos
vgoutl_UseScreenOffset

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_PushClientClip
クライアント領域でクリップ

%prm

%inst
現在のクライアント領域をそのままクリップします。
描画処理が終わったら必ず vgoutl_PopClip で解除してください。

%href
vgoutl_PushClip
vgoutl_PopClip
vgoutl_ClipEnable

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_PushClip
任意範囲でクリップ

%prm
px, py, sx, sy
px 位置X(倍寸)
py 位置Y(倍寸)
sx サイズX(倍寸)
sy サイズY(倍寸)

%inst
クリップは描画範囲を制限し、はみ出した分を描画しないようにします。
描画処理が終わったら必ず vgoutl_PopClip で解除してください。

%href
vgoutl_PushClientClip
vgoutl_PopClip
vgoutl_ClipEnable

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_PopClip
クリップを解除

%prm

%inst
vgoutl_PushClientClip や vgoutl_PushClip のクリップを解除します。
これらの命令と必ずセットで使用してください。
また解除するときは必ず同じ操作先バッファで行ってください。

%href
vgoutl_PushClientClip
vgoutl_PushClip
vgoutl_ClipEnable

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_ClipEnable
クリップの有効化設定

%prm
flag
flag フラグ

%inst
フラグに 0 を指定すると無効化、1 で有効化します。

%href
vgoutl_PushClientClip
vgoutl_PushClip
vgoutl_PopClip

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Color
各色を一括指定

%prm
r, g, b
r 赤 (0~255)
g 緑 (0~255)
b 青 (0~255)

%inst
個別に設定する場合は以下の命令を使用してください。
vgoutl_LineColor
vgoutl_FillColor
vgoutl_TextColor
vgoutl_TextBkColor

%href
vgoutl_LineColor
vgoutl_FillColor
vgoutl_TextColor
vgoutl_TextBkColor

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_LineColor
線の色を設定

%prm
rgb, alpha
rgb 色 ($RRGGBB)
alpha α値 (0~255)

%inst
線の色を設定します。

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_Color
vgoutl_FillColor
vgoutl_TextColor
vgoutl_TextBkColor
vgoutl_DrawLines
vgoutl_Line
vgoutl_DrawLines
vgoutl_DrawPoly
vgoutl_DrawCurve
vgoutl_DrawClosedCurve
vgoutl_DrawArc
vgoutl_DrawPie
vgoutl_Boxd
vgoutl_Circle
vgoutl_PathBox

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_FillColor
塗り色を設定

%prm
rgb, alpha
rgb 色 ($RRGGBB)
alpha α値 (0~255)

%inst
塗りつぶしの色の設定します。

%href
vgoutl_Color
vgoutl_LineColor
vgoutl_TextColor
vgoutl_TextBkColor
vgoutl_FillPoly
vgoutl_FillClosedCurve
vgoutl_FillPie
vgoutl_Boxf
vgoutl_PathBox
vgoutl_Circle

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_TextColor
テキストの色を設定

%prm
rgb, alpha, selrgb, selAlpha
rgb テキスト色 ($RRGGBB)
alpha テキスト色のα値 (0~255)
selrgb 選択部分のテキスト色 ($RRGGBB)
selAlpha 選択部分のテキスト色のα値 (0~255)

%inst
vgoutl_Mes, vgoutl_LineMes, vgoutl_TabsMes のテキスト色を設定します。
α値は vgoutl_GdipMes, vgoutl_GdipLineMes で使用されます。

選択部分の色は vgoutl_TabsMes で使用されます。

%href
vgoutl_Color
vgoutl_LineColor
vgoutl_FillColor
vgoutl_TextBkColor
vgoutl_Mes
vgoutl_LineMes
vgoutl_TabsMes
vgoutl_GdipMes
vgoutl_GdipLineMes

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_TextBkColor
テキストの背景色を設定

%prm
rgb, alpha, selrgb, selAlpha
rgb テキスト背景色 ($RRGGBB)
alpha 現バージョンではこのα値は無視されます。
selrgb 選択部分のテキスト背景色 ($RRGGBB)
selAlpha 現バージョンではこのα値は無視されます。

%inst
テキスト背景色は vgoutl_Mes, vgoutl_LineMes, vgoutl_TabsMes で使用されます。
rgb と selrgb は -1 を指定すると透過扱いになりますが、GDIPバッファに vgoutl_Mes, vgoutl_LineMes, vgoutl_TabsMes で描画する場合は想定した描画結果になりません。
vgoutl_GdipMes, vgoutl_GdipLineMes を使用するか背景色を指定する必要があります。

%href
vgoutl_Color
vgoutl_LineColor
vgoutl_FillColor
vgoutl_TextColor
vgoutl_Mes
vgoutl_LineMes
vgoutl_TabsMes
vgoutl_GdipMes
vgoutl_GdipLineMes

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_DrawLines
折れ線を描画(a2d互換)

%prm
data, num
data 座標を格納した配列変数
num データ数

%inst

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_Line
vgoutl_DrawPoly
vgoutl_FillPoly

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_DrawPoly
多角形の線を描画(a2d互換)

%prm
data, num
data 座標を格納した配列変数
num データ数

%inst

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_DrawLines
vgoutl_FillPoly

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_FillPoly
多角形を塗る(a2d互換)

%prm
data, num
data 座標を格納した配列変数
num データ数

%inst

%href
vgoutl_FillColor
vgoutl_DrawLines
vgoutl_DrawPoly

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_DrawCurve
曲線を描画(a2d互換)

%prm
data, num, tension
data 座標を格納した配列変数
num データ数
tension 曲線強度

%inst

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_DrawClosedCurve
vgoutl_FillClosedCurve

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_DrawClosedCurve
閉じた曲線を描画(a2d互換)

%prm
data, num, tension
data 座標を格納した配列変数
num データ数
tension 曲線強度

%inst

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_DrawCurve
vgoutl_FillClosedCurve

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_FillClosedCurve
閉じた曲線を塗る(a2d互換)

%prm
data, num, tension
data 座標を格納した配列変数
num データ数
tension 曲線強度

%inst

%href
vgoutl_FillColor
vgoutl_DrawCurve
vgoutl_DrawClosedCurve

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_DrawArc
円弧を描画(a2d互換)

%prm
px, py, width, height, startA, sweepA
px 左上X
py 左上Y
width 幅
height 高さ
startA 開始角度
sweepA 終了角度

%inst

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_DrawPie
vgoutl_FillPie

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_DrawPie
扇形を描画(a2d互換)

%prm
px, py, width, height, startA, sweepA
px 左上X
py 左上Y
width 幅
height 高さ
startA 開始角度
sweepA 終了角度

%inst

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_DrawArc
vgoutl_FillPie

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_FillPie
扇形を塗る(a2d互換)

%prm
px, py, width, height, startA, sweepA
px 左上X
py 左上Y
width 幅
height 高さ
startA 開始角度
sweepA 終了角度

%inst

%href
vgoutl_FillColor
vgoutl_DrawArc
vgoutl_DrawPie

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Font
描画用フォントを設定

%prm
name, size, style
name フォント名
size フォントサイズ
style フォントスタイル

%inst

%href
vgoutl_Mes
vgoutl_LineMes
vgoutl_TabsMes
vgoutl_GdipMes
vgoutl_GdipLineMes

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Mes
テキストを描画

%prm
string, width, height
string テキスト
width 幅
height 高さ

%inst
GDIを使用してテキストを描画します。
テキストが幅に収まらない場合は折り返しされます。
高さに収まらない部分はクリップされます。
幅と高さは省略するとほぼ無制限扱いであるため、
標準命令の mes と同じ感覚で使用できます。
折り返しのない vgoutl_LineMes もあります。
GDIPを使用する vgoutl_GdipMes や vgoutl_GdipLineMes もあります。

%href
vgoutl_Font
vgoutl_LineMes
vgoutl_TabsMes
vgoutl_GdipMes
vgoutl_GdipLineMes
vgoutl_TextColor
vgoutl_TextBkColor

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_LineMes
テキストを描画

%prm
string, width, height
string テキスト
width 幅
height 高さ

%inst
GDIを使用してテキストを描画します。
テキストが幅に収まらない場合でも折り返しされません。
高さに収まらない部分はクリップされます。
折り返しのある vgoutl_LineMes もあります。
GDIPを使用する vgoutl_GdipMes や vgoutl_GdipLineMes もあります。

%href
vgoutl_Font
vgoutl_Mes
vgoutl_TabsMes
vgoutl_GdipMes
vgoutl_GdipLineMes
vgoutl_TextColor
vgoutl_TextBkColor

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_TabsMes
タブストップ有りテキストを描画

%prm
string, tabs, width, height, selBegin, selEnd
string テキスト
tabs タブストップを格納した配列変数
width 幅
height 高さ
selBegin 選択開始位置 (文字単位)
selEnd 選択終了位置 (文字単位)

%inst
入力ボックスの副産物。

GDIを使用してテキストを描画します。
タブストップ付きのテキストを描画します。

%href
vgoutl_Font
vgoutl_Mes
vgoutl_LineMes
vgoutl_GdipMes
vgoutl_GdipLineMes
vgoutl_TextColor
vgoutl_TextBkColor

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_GdipMes
テキストを描画

%prm
string, width, height
string テキスト
width 幅
height 高さ

%inst
GDIPを使用してテキストを描画します。
テキスト色はα値も有効になります。
テキスト背景色は無視されます。
半強制的にアンチエイリアスが掛かるため、フォントによっては少し汚くなります。
絵文字など、一部のUnicodeの文字が表示できません。

テキストが幅に収まらない場合は折り返しされます。
高さに収まらない部分はクリップされます。
幅と高さは省略するとほぼ無制限扱いであるため、
標準命令の mes と同じ感覚で使用できます。
折り返しのない vgoutl_GdipLineMes もあります。
GDIを使用する vgoutl_Mes や vgoutl_LineMes もあります。

%href
vgoutl_Font
vgoutl_Mes
vgoutl_LineMes
vgoutl_TabsMes
vgoutl_GdipLineMes
vgoutl_TextColor
vgoutl_TextBkColor

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_GdipLineMes
テキストを描画

%prm
string, width, height
string テキスト
width 幅
height 高さ

%inst
GDIPを使用してテキストを描画します。
テキストが幅に収まらない場合でも折り返しされません。
高さに収まらない部分はクリップされます。
折り返しのある vgoutl_GdipMes もあります。
GDIを使用する vgoutl_Mes や vgoutl_LineMes もあります。

%href
vgoutl_Font
vgoutl_Mes
vgoutl_LineMes
vgoutl_TabsMes
vgoutl_GdipMes
vgoutl_TextColor
vgoutl_TextBkColor

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Line
線を描画

%prm
endX, endY, startX, startY
endX 終点X
endY 終点Y
startX 始点X
startY 始点Y

%inst
2回目以降は startX, startY を省略できます。
endX, endY のみで連続して線を描画できますが、折れ線部分の結合処理は行われません。
折れ線を描画する場合は vgoutl_DrawLines を推奨します。

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_DrawLines

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Boxf
四角形を塗る

%prm
px1, py1, px2, py2
px 左上X
py 左上Y
px2 右下X
py2 右下Y

%inst
標準命令の boxf とほぼ同じ感覚で使用できます。
塗りつぶさない vgoutl_Boxd もあります。

%href
vgoutl_FillColor
vgoutl_Boxd
vgoutl_PathBox

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Boxd
四角形を描画

%prm
px1, py1, px2, py2
px 左上X
py 左上Y
px2 右下X
py2 右下Y

%inst
標準命令の boxf で塗りつぶさず枠線を描画するようなものです。
塗りつぶす vgoutl_Boxf もあります。

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_Boxf
vgoutl_PathBox

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_PathBox
丸みのある四角形を描画

%prm
px1, py1, px2, py2, rpx, rate, fill, rFlag
px1 左上X
py1 左上Y
px2 右下X
py2 右下Y
rpx 丸め値 (ピクセル値と思って良い)
rate 丸め率 (普通の丸めなら 0.5 を推奨)
fill 描画フラグ
rFlag 丸め無効化フラグ

%inst
パスを利用して丸みのある四角形を描画します。

丸め値は例えばが 10 であった場合、
各角は上下左右約10ピクセルのあたりから丸め処理が入ります。

丸め率は 0.0~0.5 あたりが無難な丸みを描き、それ以上にすると角ばります。
値の範囲としては 0.0 ~ 1.0 を想定していますがそれ以上以下も指定でき、
変な形を描けるので試してみるのもいいかもしれません。

描画フラグは以下の値を組み合わせて指定します。
	&1	枠を描画する
	&2	塗りつぶす

丸め無効化フラグは以下の値を組み合わせて指定します。
	&1	左上
	&2	右上
	&4	右下
	&8	左下

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_FillColor
vgoutl_Boxf
vgoutl_Boxd

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Circle
円を描画

%prm
px, py, sx, sy, fill
px 左上X
py 左上Y
sx サイズX
sy サイズY
fill 塗りつぶしフラグ
- 0 線のみ
- 1 塗りつぶしのみ
- 2 線+塗りつぶし

%inst
標準命令の circle とほぼ同じ感覚で使用できます。

%href
vgoutl_LineWidth
vgoutl_LineStyle
vgoutl_LineJoin
vgoutl_LineMode
vgoutl_LineColor
vgoutl_FillColor

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Gcopy
HSPバッファから画像コピー

%prm
hspBufferID, srcX, srcY, sizeX, sizeY, filter, srcScaling
hspBufferID HSPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY
filter 補間フラグ
srcScaling ソーススケーリング

%inst
HSPバッファから画像をコピーします。

補間フラグは 0 を指定すると補間無し、1 で補間有りになります。

ソーススケーリングはバッファ側の倍率で 100 が 100% になります。
例えばコピーサイズが 40x40 の場合、

ソーススケーリング 100 は 40x40 のバッファ画像を 40x40 のまま出力します。
画面側のスケーリングが200%だった場合は 40x40 を 80x80 に拡大して出力します。

ソーススケーリング 300 は 120x120 のバッファ画像を 40x40 に縮小して出力します。
画面側のスケーリングが200%だった場合は 120x120 を 80x80 に縮小して出力します。

拡大出力は画像の粗さやぼやけが目立ちますが、縮小はあまり目立たなくなります。

ソーススケーリングはサイズとコピー元位置の両方に影響します。
元位置 srcX=32, srcY=64 の場合、
ソーススケーリング 100 は 32,64 からコピーします。
ソーススケーリング 300 は 96,192 からコピーします。

%href
vgoutl_AlphaBlend
vgoutl_Gzoom
vgoutl_GcopyFromGDIP
vgoutl_GzoomFromGDIP
vgoutl_Hsp2GdipGzoom

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Gzoom
HSPバッファから拡大縮小コピー

%prm
dstSizeX, dstSizeY, hspBufferID, srcX, srcY, sizeX, sizeY, filter, srcScaling
dstSizeX コピー先サイズX
dstSizeY コピー先サイズY
hspBufferID HSPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY
filter 補間フラグ
srcScaling ソーススケーリング

%inst
HSPバッファから画像を拡大縮小コピーします。

補間フラグは 0 を指定すると補間無し、1 で補間有りになります。

ソーススケーリングはバッファ側の倍率で 100 が 100% になります。
例えばコピーサイズが 40x40 の場合、

ソーススケーリング 100 は 40x40 のバッファ画像を 40x40 のまま出力します。
画面側のスケーリングが200%だった場合は 40x40 を 80x80 に拡大して出力します。

ソーススケーリング 300 は 120x120 のバッファ画像を 40x40 に縮小して出力します。
画面側のスケーリングが200%だった場合は 120x120 を 80x80 に縮小して出力します。

拡大出力は画像の粗さやぼやけが目立ちますが、縮小はあまり目立たなくなります。

ソーススケーリングはサイズとコピー元位置の両方に影響します。
元位置 srcX=32, srcY=64 の場合、
ソーススケーリング 100 は 32,64 からコピーします。
ソーススケーリング 300 は 96,192 からコピーします。

%href
vgoutl_AlphaBlend
vgoutl_Gcopy
vgoutl_GcopyFromGDIP
vgoutl_GzoomFromGDIP
vgoutl_Hsp2GdipGzoom

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_GcopyFromGDIP
GDIPバッファから画像コピー

%prm
gdipBufferID, srcX, srcY, sizeX, sizeY, filter, srcScaling
gdipBufferID GDIPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY
filter 補間フラグ
srcScaling ソーススケーリング

%inst
GDIPバッファから画像をコピーします。

補間フラグは 0 を指定すると補間無し、1 で補間有りになります。

ソーススケーリングはバッファ側の倍率で 100 が 100% になります。
例えばコピーサイズが 40x40 の場合、

ソーススケーリング 100 は 40x40 のバッファ画像を 40x40 のまま出力します。
画面側のスケーリングが200%だった場合は 40x40 を 80x80 に拡大して出力します。

ソーススケーリング 300 は 120x120 のバッファ画像を 40x40 に縮小して出力します。
画面側のスケーリングが200%だった場合は 120x120 を 80x80 に縮小して出力します。

拡大出力は画像の粗さやぼやけが目立ちますが、縮小はあまり目立たなくなります。

ソーススケーリングはサイズとコピー元位置の両方に影響します。
元位置 srcX=32, srcY=64 の場合、
ソーススケーリング 100 は 32,64 からコピーします。
ソーススケーリング 300 は 96,192 からコピーします。

%href
vgoutl_AlphaBlend
vgoutl_Gcopy
vgoutl_Gzoom
vgoutl_GzoomFromGDIP

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_GzoomFromGDIP
GDIPバッファから拡大縮小コピー

%prm
dstSizeX, dstSizeY, gdipBufferID, srcX, srcY, sizeX, sizeY, filter, srcScaling
dstSizeX コピー先サイズX
dstSizeY コピー先サイズY
gdipBufferID GDIPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY
filter 補間フラグ
srcScaling ソーススケーリング

%inst
GDIPバッファから画像をコピーします。

補間フラグは 0 を指定すると補間無し、1 で補間有りになります。

ソーススケーリングはバッファ側の倍率で 100 が 100% になります。
例えばコピーサイズが 40x40 の場合、

ソーススケーリング 100 は 40x40 のバッファ画像を 40x40 のまま出力します。
画面側のスケーリングが200%だった場合は 40x40 を 80x80 に拡大して出力します。

ソーススケーリング 300 は 120x120 のバッファ画像を 40x40 に縮小して出力します。
画面側のスケーリングが200%だった場合は 120x120 を 80x80 に縮小して出力します。

拡大出力は画像の粗さやぼやけが目立ちますが、縮小はあまり目立たなくなります。

ソーススケーリングはサイズとコピー元位置の両方に影響します。
元位置 srcX=32, srcY=64 の場合、
ソーススケーリング 100 は 32,64 からコピーします。
ソーススケーリング 300 は 96,192 からコピーします。

%href
vgoutl_AlphaBlend
vgoutl_Gcopy
vgoutl_Gzoom
vgoutl_GcopyFromGDIP

%dll
vgoutl

%group
vgoutl-draw

%index
vgoutl_Scaling
スケーリングを適用した値を整数で返す

%prm
( value)
value 変換する値

%inst

%href
vgoutl_Scalingf
vgoutl_ArrayScaling
vgoutl_ArrayCopyScaling
vgoutl_SizeScaling
vgoutl_SizeScalingf
vgoutl_ReverseScaling
vgoutl_ReverseScalingf

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_Scalingf
スケーリングを適用した値を実数で返す

%prm
( value)
value 変換する値

%inst

%href
vgoutl_Scaling
vgoutl_ArrayScaling
vgoutl_ArrayCopyScaling
vgoutl_SizeScaling
vgoutl_SizeScalingf
vgoutl_ReverseScaling
vgoutl_ReverseScalingf

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_ArrayScaling
配列変数の値にスケーリングを適用

%prm
var
var 変換する配列変数

%inst

%href
vgoutl_Scaling
vgoutl_Scalingf
vgoutl_ArrayCopyScaling
vgoutl_SizeScaling
vgoutl_SizeScalingf
vgoutl_ReverseScaling
vgoutl_ReverseScalingf

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_ArrayCopyScaling
配列変数を複製し、複製先にスケーリングを適用

%prm
src, dst
src 元の配列変数
dst 出力先配列変数

%inst

%href
vgoutl_Scaling
vgoutl_Scalingf
vgoutl_ArrayScaling
vgoutl_SizeScaling
vgoutl_SizeScalingf
vgoutl_ReverseScaling
vgoutl_ReverseScalingf

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_SizeScaling
スケーリングを適用した位置から計算したサイズを整数で返す

%prm
( pos, size)
pos 座標値
size サイズ値

%inst

%href
vgoutl_Scaling
vgoutl_Scalingf
vgoutl_ArrayScaling
vgoutl_ArrayCopyScaling
vgoutl_SizeScalingf
vgoutl_ReverseScaling
vgoutl_ReverseScalingf

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_SizeScalingf
スケーリングを適用した位置から計算したサイズを実数で返す

%prm
( pos, size)
pos 座標値
size サイズ値

%inst

%href
vgoutl_Scaling
vgoutl_Scalingf
vgoutl_ArrayScaling
vgoutl_ArrayCopyScaling
vgoutl_SizeScaling
vgoutl_ReverseScaling
vgoutl_ReverseScalingf

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_ReverseScaling
スケーリング適用前の値に変換し整数で返す

%prm
( value)
value 変換する値

%inst

%href
vgoutl_Scaling
vgoutl_Scalingf
vgoutl_ArrayScaling
vgoutl_ArrayCopyScaling
vgoutl_SizeScaling
vgoutl_SizeScalingf
vgoutl_ReverseScalingf

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_ReverseScalingf
スケーリング適用前の値に変換し実数で返す

%prm
( value)
value 変換する値

%inst

%href
vgoutl_Scaling
vgoutl_Scalingf
vgoutl_ArrayScaling
vgoutl_ArrayCopyScaling
vgoutl_SizeScaling
vgoutl_SizeScalingf
vgoutl_ReverseScaling

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_PosScalingX
スケーリングとオフセットを適用したX座標を整数で返す

%prm
( px)
px 位置X (原寸)

%inst

%href
vgoutl_Pos
vgoutl_PosScalingY
vgoutl_PosScalingXf
vgoutl_PosScalingYf
vgoutl_PosArrayCopyScaling
vgoutl_PosOffset

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_PosScalingY
スケーリングとオフセットを適用したY座標を整数で返す

%prm
( py)
py 位置Y (原寸)

%inst

%href
vgoutl_Pos
vgoutl_PosScalingX
vgoutl_PosScalingXf
vgoutl_PosScalingYf
vgoutl_PosArrayCopyScaling
vgoutl_PosOffset

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_PosScalingXf
スケーリングとオフセットを適用したX座標を実数で返す

%prm
( px)
px 位置X (原寸)

%inst

%href
vgoutl_Pos
vgoutl_PosScalingX
vgoutl_PosScalingY
vgoutl_PosScalingYf
vgoutl_PosArrayCopyScaling
vgoutl_PosOffset

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_PosScalingYf
スケーリングとオフセットを適用したY座標を実数で返す

%prm
( py)
py 位置Y (原寸)

%inst

%href
vgoutl_Pos
vgoutl_PosScalingX
vgoutl_PosScalingY
vgoutl_PosScalingXf
vgoutl_PosArrayCopyScaling
vgoutl_PosOffset

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_PosArrayCopyScaling
座標値の入った配列変数を複製し、複製先にスケーリングとオフセットを適用

%prm
src, dst
src 元の配列変数
dst 出力先配列変数

%inst

%href
vgoutl_Pos
vgoutl_PosScalingX
vgoutl_PosScalingY
vgoutl_PosScalingXf
vgoutl_PosScalingYf
vgoutl_PosOffset

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_PosOffset
座標オフセットを設定

%prm
offsetX, offsetY
offsetX オフセットX (倍寸)
offsetY オフセットY (倍寸)

%inst

%href
vgoutl_Pos
vgoutl_PosScalingX
vgoutl_PosScalingY
vgoutl_PosScalingXf
vgoutl_PosScalingYf
vgoutl_PosArrayCopyScaling

%dll
vgoutl

%group
vgoutl スケーリング

%index
vgoutl_GetColor
色設定の任意インデックスの色を返す

%prm
( index)
index インデックス

%inst
カラープリセットで設定された各色を取得します。
色 ($RRGGBB) を返します。

%href
vgoutl_LoadColorPreset
vgoutl_GetColorPreset

%dll
vgoutl

%group
vgoutl カラープリセット

%index
vgoutl_BlendedColor
2色をブレンドした色を返す

%prm
( p1, p2, rt)
p1 色1 ($RRGGBB)
p2 色2 ($RRGGBB)
rt 色1の割合 (0.0~1.0)

%inst
rt は p1 の割合で 0.0 ~ 1.0 の範囲で指定します。
色 ($RRGGBB) を返します。

%dll
vgoutl

%group
vgoutl カラープリセット

%index
vgoutl_SetAccentColor
アクセントカラーを設定

%prm
color
color 設定する色 ($RRGGBB)

%inst
アクセントカラーはWindowsの色として設定されている色で、初期値もその色が指定されています。
選択時の色などに使用されます。
これを設定してもシステム側には影響しません。

%href
vgoutl_GetAccentColor
vgo_DarkColorPreset
vgo_DarkColoredPreset
vgo_LightColorPreset
vgo_LightColoredPreset
vgo_PastelColorPreset

%dll
vgoutl

%group
vgoutl カラープリセット

%index
vgoutl_GetAccentColor
アクセントカラーを返す

%prm
()
%inst
モジュール内で設定されているアクセントカラーを返します。
色 ($RRGGBB) を返します。

%href
vgoutl_SetAccentColor
vgo_DarkColorPreset
vgo_DarkColoredPreset
vgo_LightColorPreset
vgo_LightColoredPreset
vgo_PastelColorPreset

%dll
vgoutl

%group
vgoutl カラープリセット

%index
vgoutl_LoadColorPreset
カラープリセットを変数から読み込む

%prm
var
var 色情報を格納した配列変数

%inst
カラープリセットを配列変数から読み込みます。

%href
vgoutl_GetColor
vgoutl_GetColorPreset
vgo_DarkColorPreset
vgo_DarkColoredPreset
vgo_LightColorPreset
vgo_LightColoredPreset
vgo_PastelColorPreset

%dll
vgoutl

%group
vgoutl カラープリセット

%index
vgoutl_GetColorPreset
カラープリセットを変数に返す

%prm
ret
var 色情報を返す配列変数

%inst
現在のカラープリセットを配列変数に返します。

%href
vgoutl_GetColor
vgoutl_LoadColorPreset

%dll
vgoutl

%group
vgoutl カラープリセット

%index
vgoutl_CreateFontList
インストール済みのフォントを列挙

%prm
ret, opt
ret 結果を返す変数
opt オプション

%inst
システムにインストールされているフォントを列挙し、ret に返します。
stat に 列挙数 を返します。

opt に 0 を指定すると配列で取得します。
1 を指定すると改行区切りで取得します。

%href
vgoutl_GetFontListIndex
vgoutl_GetFontListName

%dll
vgoutl

%group
vgoutl フォント情報

%index
vgoutl_GetFontListIndex
リストから任意のフォント名インデックスを得る

%prm
( list, name)
list フォントリスト
name フォント名

%inst
指定したフォントがリストの何番目にあるかを得ます。
list には vgoutl_CreateFontList で列挙したフォントリストがそのまま使用できます。

%href
vgoutl_CreateFontList
vgoutl_GetFontListName

%dll
vgoutl

%group
vgoutl フォント情報

%index
vgoutl_GetFontListName
リストから任意のインデックスのフォント名を得る

%prm
( list, index)
list フォントリスト
index インデックス

%inst
フォントリストの任意のインデックスのフォント名を得ます。
list には vgoutl_CreateFontList で列挙したフォントリストがそのまま使用できます。

%href
vgoutl_CreateFontList
vgoutl_GetFontListIndex

%dll
vgoutl

%group
vgoutl フォント情報

%index
vgoutl_D2F
doubleをfloatに変換

%prm
( val)
val 変換する値

%inst

%href
vgoutl_F2D

%dll
vgoutl

%group
vgoutl その他

%index
vgoutl_F2D
floatをdoubleに変換

%prm
( val)
val 変換する値

%inst

%href
vgoutl_D2F

%dll
vgoutl

%group
vgoutl その他

%index
vgoutl_rgb
色($RRGGBB)に変換

%prm
( r, g, b)
r 赤 (0~255)
g 緑 (0~255)
b 青 (0~255)

%inst
色 ($RRGGBB) を返します。

%href
vgoutl_rgb2bgr

%dll
vgoutl

%group
vgoutl その他

%index
vgoutl_rgb2bgr
RRGGBBのRRとBBを入れ替え

%prm
( color)
color 変換する色 ($RRGGBB)

%inst
色 ($RRGGBB) を 色 ($BBGGRR) として返します。

%href
vgoutl_rgb

%dll
vgoutl

%group
vgoutl その他

%index
vgoutl_Mousex
マウスカーソルの位置Xを返す

%prm
()
%inst
スクリーン上のカーソル位置をクライアント座標に変換して返します。

%href
vgoutl_Mousey

%dll
vgoutl

%group
vgoutl その他

%index
vgoutl_Mousey
マウスカーソルの位置Yを返す

%prm
()
%inst
スクリーン上のカーソル位置をクライアント座標に変換して返します。

%href
vgoutl_Mousex

%dll
vgoutl

%group
vgoutl その他

%index
vgoutl_CreateHSPImage
HSPバッファイメージを作成

%prm

%inst

%href
vgoutl_DisposeHSPImage
vgoutl_Hsp2GdipGzoom

%dll
vgoutl

%group
vgoutl HSP to GDIP

%index
vgoutl_DisposeHSPImage
HSPバッファイメージを削除

%prm

%inst

%href
vgoutl_CreateHSPImage
vgoutl_Hsp2GdipGzoom

%dll
vgoutl

%group
vgoutl HSP to GDIP

%index
vgoutl_Hsp2GdipGzoom
HSPバッファイメージからGDIPバッファへ拡大縮小コピー

%prm
dsx, dsy, px, py, sx, sy
dsx コピー先サイズX
dsy コピー先サイズY
px コピー元X
py コピー元Y
sx サイズX
sy サイズY

%inst
これは同じバッファから複数回のコピーを想定したものです。
1回コピーするだけであれば vgoutl_Gcopy や vgoutl_Gzoom でも良いです。

コピー前に vgoutl_CreateHSPImage を実行する必要があります。
コピーが終わった後は vgoutl_DisposeHSPImage でバッファイメージを削除してください。

%href
vgoutl_Gcopy
vgoutl_Gzoom
vgoutl_CreateHSPImage
vgoutl_DisposeHSPImage

%dll
vgoutl

%group
vgoutl HSP to GDIP

%index
vgoutl_Gdip2HspGcopy
GDIPバッファからHSPバッファへ画像コピー

%prm
id, px, py, sx, sy
id GDIPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY

%inst
通常の gcopy のように使用できます。
この命令は単体で使用できます。

%href
vgoutl_Gdip2HspGzoom
vgoutl_Gdip2HspGcopy2
vgoutl_Gdip2HspGzoom2

%dll
vgoutl

%group
vgoutl GDIP to HSP

%index
vgoutl_Gdip2HspGzoom
GDIPバッファからHSPバッファへ拡大縮小画像コピー

%prm
dsx, dsy, id, px, py, sx, sy
dsx コピー先サイズX
dsy コピー先サイズY
id GDIPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY

%inst
通常の gzoom のように使用できます。
この命令は単体で使用できます。

%href
vgoutl_Gdip2HspGcopy
vgoutl_Gdip2HspGcopy2
vgoutl_Gdip2HspGzoom2

%dll
vgoutl

%group
vgoutl GDIP to HSP

%index
vgoutl_BeginGdip2HspCopy
GDIPバッファからHSPバッファへのコピー開始

%prm

%inst
vgoutl_Gdip2HspGcopy2, vgoutl_Gdip2HspGzoom2 を使用する場合に必要です。
同じバッファに複数回コピーを行う際に使用してください。

%href
vgoutl_EndGdip2HspCopy
vgoutl_Gdip2HspGcopy2
vgoutl_Gdip2HspGzoom2

%dll
vgoutl

%group
vgoutl GDIP to HSP

%index
vgoutl_EndGdip2HspCopy
GDIPバッファからHSPバッファへのコピー終了

%prm

%inst
vgoutl_Gdip2HspGcopy2, vgoutl_Gdip2HspGzoom2 を使用する場合に必要です。

%href
vgoutl_BeginGdip2HspCopy
vgoutl_Gdip2HspGcopy2
vgoutl_Gdip2HspGzoom2

%dll
vgoutl

%group
vgoutl GDIP to HSP

%index
vgoutl_Gdip2HspGcopy2
GDIPバッファからHSPバッファへ画像コピー

%prm
id, px, py, sx, sy
id GDIPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY

%inst
通常の gcopy のように使用できます。
事前に vgoutl_BeginGdip2HspCopy を実行する必要があります。

%href
vgoutl_Gdip2HspGcopy
vgoutl_Gdip2HspGzoom
vgoutl_BeginGdip2HspCopy
vgoutl_EndGdip2HspCopy
vgoutl_Gdip2HspGzoom2

%dll
vgoutl

%group
vgoutl GDIP to HSP

%index
vgoutl_Gdip2HspGzoom2
GDIPバッファからHSPバッファへ拡大縮小画像コピー

%prm
dsx, dsy, id, px, py, sx, sy
dsx コピー先サイズX
dsy コピー先サイズY
id GDIPバッファID
srcX コピー元X
srcY コピー元Y
sizeX サイズX
sizeY サイズY

%inst
通常の gzoom のように使用できます。
事前に vgoutl_BeginGdip2HspCopy を実行する必要があります。

%href
vgoutl_Gdip2HspGcopy
vgoutl_Gdip2HspGzoom
vgoutl_BeginGdip2HspCopy
vgoutl_EndGdip2HspCopy
vgoutl_Gdip2HspGcopy2

%dll
vgoutl

%group
vgoutl GDIP to HSP

%index
vgoutl_ResetCopyMode
コピーモードをリセット(a2d互換)

%prm

%inst

%href
vgoutl_AlphaBlend
vgodraw_AlphaBlend
vgoutl_CopyModeColorMatrix
vgoutl_CopyModeAlpha
vgoutl_CopyModeGamma
vgoutl_CopyModeColorKey

%dll
vgoutl

%group
vgoutl GDIPコピーモード

%index
vgoutl_CopyModeColorMatrix
カラーマトリックスコピーモードを設定(a2d互換)

%prm
mat
mat カラーマトリックス配列

%inst

%href
vgoutl_ResetCopyMode
vgoutl_CopyModeAlpha
vgoutl_CopyModeGamma
vgoutl_CopyModeColorKey

%dll
vgoutl

%group
vgoutl GDIPコピーモード

%index
vgoutl_CopyModeAlpha
コピー時のブレンド率を設定(a2d互換)

%prm
alpha
alpha ブレンド率 (0.0~1.0)

%inst

%href
vgoutl_AlphaBlend
vgodraw_AlphaBlend
vgoutl_ResetCopyMode
vgoutl_CopyModeColorMatrix
vgoutl_CopyModeGamma
vgoutl_CopyModeColorKey

%dll
vgoutl

%group
vgoutl GDIPコピーモード

%index
vgoutl_CopyModeGamma
ガンマ調整コピーモードを設定(a2d互換)

%prm
gamma
alpha ガンマ値

%inst

%href
vgoutl_ResetCopyMode
vgoutl_CopyModeColorMatrix
vgoutl_CopyModeAlpha
vgoutl_CopyModeColorKey

%dll
vgoutl

%group
vgoutl GDIPコピーモード

%index
vgoutl_CopyModeColorKey
カラーキーコピーモードを設定(a2d互換)

%prm
min, max
alpha ブレンド率 (0.0~1.0)
alpha ブレンド率 (0.0~1.0)

%inst

%href
vgoutl_ResetCopyMode
vgoutl_CopyModeColorMatrix
vgoutl_CopyModeAlpha
vgoutl_CopyModeGamma

%dll
vgoutl

%group
vgoutl GDIPコピーモード

%index
vgoutl_DrawButton
ボタンを描画

%prm
no, style, string, sx, sy, radius
no 描画するパターンNo
style スタイル値
string  表示するテキスト
sx サイズX
sy サイズY
radius 丸め値

%inst
モジュール内部で使用しているボタンの描画命令です。
ボタン画像を自前で管理する際に利用できます。

描画するパターンNoは以下の値を指定します。
	0	押された時
	1	マウスオーバー
	2	通常

%href
vgoutl_DrawChkbox

%dll
vgoutl

%group
vgoutl オブジェクト描画

%index
vgoutl_DrawChkbox
チェックボックスを描画

%prm
no, style, string, sx, sy, colorText, colorBG, radius
no 描画するパターンNo
style スタイル値
string  表示するテキスト
sx サイズX
sy サイズY
colorText テキスト色 ($RRGGBB)
colorBG 背景色 ($RRGGBB)
radius 丸め値

%inst
モジュール内部で使用しているチェックボックスの描画命令です。
チェックボックス画像を自前で管理する際に利用できます。

描画するパターンNoは以下の値を指定します。
	0	押された時に重ねる画像
	1	マウスオーバー時に重ねる画像
	2	通常(0)
	3	チェック状態(1)
	4	不定状態(2)

%href
vgoutl_DrawButton

%dll
vgoutl

%group
vgoutl オブジェクト描画

%index
vgoutf_GetByte
文字が何バイトか調べる

%prm
( src, index)
src 文字列を格納した変数
index 調べる位置(byte)

%inst
utf-8文字列の任意位置の文字が何バイトかを調べます。

%href
vgoutf_GetChar
vgoutf_Strlen

%dll
vgoutf UTF-8

%group
vgoutf

%index
vgoutf_GetChar
文字を一つ取り出しバイト数も返す

%prm
dst, src, index, retByte
dst 文字を返す変数
src 文字列を格納した変数
index 取り出す位置(byte)
retByte バイト数を返す変数(省略時は bytes@vgoutf に格納する)

%inst
utf-8文字列の任意位置の1文字を変数に取り出し、そのバイト数を返します。

%href
vgoutf_GetByte
vgoutf_Strlen

%dll
vgoutf UTF-8

%group
vgoutf

%index
vgoutf_GetCharIndex
開始位置からn文字目の位置(バイト)を返す

%prm
( src, index, charNum)
src 文字列を格納した変数
index 開始位置(byte)
charNum 文字数

%inst
utf-8文字列の開始位置からn文字目の位置(バイト)を返します。
開始位置が文字の切れ目でない場合は正しい結果が返りません。

%href
vgoutf_NextCharIndex
vgoutf_GetCharNum
vgoutf_NextCharNum
vgoutf_Strlen

%dll
vgoutf UTF-8

%group
vgoutf

%index
vgoutf_NextCharIndex
次のn文字目の位置(バイト)を返す

%prm
( src, charNum)
src 文字列を格納した変数
charNum 文字数

%inst
前に実行した vgoutf_GetCharIndex, vgoutf_NextCharIndex の位置からn文字目の位置(byte)を返します。

%href
vgoutf_GetCharIndex
vgoutf_GetCharNum
vgoutf_NextCharNum
vgoutf_Strlen

%dll
vgoutf UTF-8

%group
vgoutf

%index
vgoutf_GetCharNum
開始位置からnバイトの文字数を返す

%prm
( src, index, target)
src 文字列を格納した変数
index 開始位置(byte)
target 目標位置(byte)

%inst
utf-8文字列の開始位置から目標位置までの文字数を返します。
各byteが文字の切れ目でない場合は正しい結果が返りません。

%href
vgoutf_GetCharIndex
vgoutf_NextCharIndex
vgoutf_NextCharNum
vgoutf_Strlen

%dll
vgoutf UTF-8

%group
vgoutf

%index
vgoutf_NextCharNum
次のnバイトの文字数を返す

%prm
( src, target)
src 文字列を格納した変数
target 目標位置(byte)

%inst
前に実行した vgoutf_GetCharNum, vgoutf_NextCharNum の位置から目標位置までの文字数を返します。

%href
vgoutf_GetCharIndex
vgoutf_NextCharIndex
vgoutf_GetCharNum
vgoutf_Strlen

%dll
vgoutf UTF-8

%group
vgoutf

%index
vgoutf_Strlen
utf-8文字数を返す

%prm
( u8)
u8 文字列

%inst
utf-8文字列の文字数を返します。

%href
vgoutf_GetChar
vgoutf_GetByte
vgoutf_GetCharIndex
vgoutf_NextCharIndex
vgoutf_GetCharNum
vgoutf_NextCharNum

%dll
vgoutf UTF-8

%group
vgoutf

%index
vgoutf_CheckReturnCode
改行コードの確認

%prm
( var)
var 文字列を格納した変数

%inst
改行コードを確認します。
混在は確認しません。

以下の値を返します。
0	改行無し
1	CRLF
10	LF
13	CR

%href
vgoutf_Replace2CRLF

%dll
vgoutf UTF-8

%group
vgoutf

%index
vgoutf_Replace2CRLF
改行コードをCRLFに置換

%prm
var
var 文字列を格納した変数

%inst
改行コードをCRLFに置き換えます。

%href
vgoutf_CheckReturnCode

%dll
vgoutf UTF-8

%group
vgoutf

%index
vgocb_SetClipboardText
クリップボードにテキストを設定

%prm
src
src 設定するテキストが入った変数

%inst

%href
vgocb_GetClipboardText

%dll
vgocb クリップボード

%group
vgocb

%index
vgocb_GetClipboardText
クリップボードのテキストを取得

%prm
ret
ret テキストを返す変数

%inst

%href
vgocb_SetClipboardText

%dll
vgocb クリップボード

%group
vgocb

%index
vgofp_PathIsDrive
パスがドライブ指定か否か

%prm
( path)
path パス

%inst
path が3文字で2文字目が : で3文字目が \ の場合はドライブ指定と判断して 1 を返します。
それ以外は 0 を返します。

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_DirExists
ディレクトリの存在確認

%prm
( path)
path パス

%inst
指定されたパスのディレクトリが存在するかどうか調べます。
以下の値を返します。
	0	存在しない
	1	存在する

%href
vgofp_PathExists
vgofp_FullPathExists

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_PathExists
ファイルやフォルダの存在確認

%prm
( path)
path パス

%inst
指定されたパスのファイルやディレクトリが存在するかどうか調べます。
以下の値を返します。
	0	存在しない
	1	存在する

%href
vgofp_DirExists
vgofp_FullPathExists

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_FullPathExists
ファイルやフォルダの存在確認しフルパスも返す

%prm
( path)
path パス

%inst
指定されたパスのファイルやディレクトリが存在するかどうか調べます。
関数自体は以下の値を返し、refstr にフルパスを格納します。
	0	存在しないか無効
	1	存在する（ファイル）
	2	存在する（ディレクトリ）
	3	システムパス内の実行ファイル
	4	URL

%href
vgofp_DirExists
vgofp_PathExists

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_FormatPath
パスの整形を行う

%prm
var
var パスを格納した変数

%inst
変数に対して以下の操作を行います。
・スラッシュ(/)をバックスラッシュ(\)に置き換える
・バックスラッシュの重複(\\)を(\)に置き換える
・パスの両端から半角スペースやタブを取り除く

%href
vgofp_RelativePath
vgofp_AbsolutePath

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_RelativePath
相対パスに変換

%prm
var, root
var パスを格納した変数
root ルートパス

%inst
変数のパスからルートパスを取り除きます。
例えば D:\hoge\piyo\01.txt からルートパス D:\hoge を取り除くと piyo\01.txt になります。

%href
vgofp_FormatPath
vgofp_AbsolutePath

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_AbsolutePath
絶対パスに変換

%prm
var
var パスを格納した変数

%inst
変数のパスを絶対パスに変換します。

%href
vgofp_FormatPath
vgofp_RelativePath

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_PathMatchInit
パスパターンの比較設定

%prm
pattern
pattern パスパターン

%inst
ワイルドカード一致型を使用してパスパターン比較を行います。
この命令でパスパターンを登録し vgofp_PathMatch で比較を行います。
パスパターンは * や ? といったワイルドカードが使用できます。
* は0文字以上の全ての文字に一致します。
? は1文字の全ての文字に一致します。
また、セミコロン ; で区切ることで複数のパターンを登録できます。

例えば、
a*e は axe able apple に一致します。
a?e は axe に一致しますが able apple に一致しません。
a?e;*b* は axe able に一致しますが apple に一致しません。

%href
vgofp_PathMatch
vgofp_CreateFileList

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_PathMatch
パスパターンを比較

%prm
( path)
path 比較するパス

%inst
ワイルドカード一致型を使用してパスパターン比較を行います。

%href
vgofp_PathMatchInit
vgofp_CreateFileList

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_CreateFileList
ファイルリストを作成

%prm
ret, directory, ignoreDirectory, filemask, maxDepth, opt
ret 結果を返す変数
directory 開始ディレクトリ
ignoreDirectory 無視するディレクトリ（ワイルドカード可）
filemask 検索ファイルマスク（ワイルドカード可）
maxDepth 検索範囲
opt オプション

%inst
任意のディレクトリからファイルを検索し、そのリストを改行区切りで変数に返します。

無視するディレクトリや検索ファイルマスクはワイルドカード有りで複数パターン指定できます。
パターンに関しては vgofp_PathMatchInit を確認してください。

検索範囲は次の値を指定します。
	-1	サブディレクトリ以下全て
	0	開始ディレクトリだけ
	1~	指定された階層のサブディレクトリまで

オプションに 1 を指定すると結果を絶対パスで返します。

stat には 見つかったファイル数 を返します。
開始ディレクトリが見つからなかった場合は -1 を返します。

%href
vgofp_PathMatchInit
vgofp_PathMatch

%dll
vgofp ファイルパス

%group
vgofp

%index
vgofp_CreateDirectory
ディレクトリを作成

%prm
directory
directory パス

%inst
mkdir と違い、複数階層をまとめて作成できます。

%dll
vgofp ファイルパス

%group
vgofp

